<?php
# Copyright (c) 2008 MARIE Olivier. 
# Ce fichier fait partie du logiciel OMega-Annonces.
# OMega-Annonces est un logiciel libre ; vous pouvez le redistribuer et/ou le 
# modifier selon les termes de la GNU General Public License (Licence Publique 
# Gnrale GNU) telle qu'elle a t publie par la Free Software Foundation ; 
# soit la version 2 de la licence, soit (comme vous le souhaitez) toute version 
# ultrieure.
# OMega-Annonces est distribu dans l'espoir qu'il sera utile, mais SANS LA 
# MOINDRE GARANTIE ; pas mme la garantie implicite de COMMERCIABILITE ou 
# d'ADEQUATION A UN BUT PARTICULIER.
# Voir la GNU General Public License pour plus de dtails.
# Vous devriez avoir reu une copie de la GNU General Public License en mme 
# temps que ce programme; sinon, merci d'crire  la Free Software Foundation, 
# Inc, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
include("include/blocs_html_admin.inc.php");
include("include/fonctions_admin.inc.php");
connexionBase();
controleAuth();
$phpSelf = $_SERVER["PHP_SELF"];
$affichageForm = false;

if($_SESSION["OMA_administrateur"]->niveau != 1) exit("vous n'avez pas les droits pour accder  cette page");

$niveauxAdmin = array(1=>"Administrateur",2=>"Gestionnaire",3=>"Contributeur");

debut_html();
?><div id="adminCentre"><h2>Gestion des administrateurs</h2>
<u>Rles</u><br>
<b>Administrateur </b>: tous les droits<br>
<b>Gestionnaire </b>: gre les catgories, les types, les annonces et les villes. Gre les attributs des biens et des villes.<br>
<b>Contributeur </b>: peut ajouter/modifier/supprimer des biens et des villes, mais ne peut pas modifier la liste d'attributs, ni la liste de catgories ou de types.<br>
<br>
<?php
// -----------------------------------------------------------------------------------------------------------------
// RETOUR FORMULAIRE CREATION/MODIFICATION ---------------------------------------------
// -----------------------------------------------------------------------------------------------------------------

if(array_key_exists("retour_form",$_POST)) {
	$modifAdmin = new Administrateur();
	if(!empty($_POST["id_administrateur"])) {
		$modifAdmin->lecture($_POST["id_administrateur"]);
	} 
	$listeIdentifiants = Administrateur::listeIdentifiants();
	$modifAdmin->identifiant = $_POST["identifiant"];
	$modifAdmin->adresse_mail = $_POST["adresse_mail"];
	
	if(empty($modifAdmin->identifiant)) {
		$affichageForm = true;
		$messageForm = "L'identifiant doit tre renseign";
	}
	elseif(!ereg('^[a-zA-Z0-9]{3,20}$',$modifAdmin->identifiant)) {
		$affichageForm = true;
		$messageForm = "L'identifiant doit tre constitu de lettres et chiffres (entre 3 et 20 caractres).";
	}
	elseif(empty($modifAdmin->adresse_mail)) {
		$affichageForm = true;
		$messageForm = "Une adresse mail doit tre spcifie.";
	}
	elseif(empty($modifAdmin->id_administrateur) && in_array($modifAdmin->identifiant,$listeIdentifiants)) {
		$affichageForm = true;
		$messageForm = "Cet identifiant est dj utilis";
	}
	elseif(empty($modifAdmin->id_administrateur) && (empty($_POST["mot_de_passe"]) || empty($_POST["confirmation"]))) {
		$affichageForm = true;
		$messageForm = "Le mot de passe et la confirmation doivent tre renseigns";
	}
	elseif((!empty($_POST["mot_de_passe"]) || !empty($_POST["confirmation"])) 
	&& $_POST["mot_de_passe"]!=$_POST["confirmation"] ) {
		$affichageForm = true;
		$messageForm = "Le mot de passe et la confirmation ne correspondent pas";
	}
	elseif(!empty($_POST["mot_de_passe"]) && strlen($_POST["mot_de_passe"])<3 || strlen($_POST["mot_de_passe"])>20) {
		$affichageForm = true;
		$messageForm = "Le mot de passe doit contenir entre 3 et 20 caractres";
	}
	elseif(	!ereg('^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+@[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.'. 
               '[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$', $_POST["adresse_mail"]) ){
		$affichageForm = true;
		$messageForm = "L'adresse mail n'est pas valide";
	}
	else {
		if(!empty($_POST["mot_de_passe"])) {
			$modifAdmin->mot_de_passe = md5($_POST["mot_de_passe"]);
		}
		if(!empty($_POST["niveau"])) {
			$modifAdmin->niveau = intval($_POST["niveau"]);
		}
		$modifAdmin->ecriture();
		
	}
}

// -----------------------------------------------------------------------------------------------------------------
// ---------------------- SUPPRESSION ------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("supprimer",$_GET) && is_numeric($_GET["supprimer"])) { 
    $tmpAdministrateur = new Administrateur($_GET["supprimer"]);
    if(empty($tmpAdministrateur->identifiant)) { 
        exit("Administrateur ".$_GET["supprimer"]." introuvable"); 
    }	
	$tmpAdministrateur->suppression();
}

// -----------------------------------------------------------------------------------------------------------------
// ---------------------- FORMULAIRE DE CREATION-MODIFICATION ------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("nouveau",$_GET) || array_key_exists("modifier",$_GET) || $affichageForm) {
	if(!$affichageForm) {
		$tmpIdAdministrateur = null;
		if(array_key_exists("modifier",$_GET)) {
			$tmpIdAdministrateur = $_GET["modifier"];
			$modifAdmin = new Administrateur($tmpIdAdministrateur);
		} else {
			$modifAdmin = new Administrateur();
		}
	}
	
	?><form name="formulaire_administrateur" action="<?php echo $phpSelf; ?>" method="POST">
	<input type="hidden" name="retour_form" value="1">
	<input type="hidden" name="id_administrateur" value="<?php echo $modifAdmin->id_administrateur; ?>">
	<?php echo (isset($messageForm)?'<br><font color="red"><b>'.$messageForm.'</b></font><br><br>':''); ?>
	<table class="pliste">
		<tr><th colspan=2>Cration/Modification d'un administrateur</th></tr>
		<tr><td>Identifiant<font color=red>*</font></td>
			<td><input type="text" name="identifiant" size=30 value="<?php echo $modifAdmin->identifiant; ?>"></td></tr>
		<tr><td>Mot de passe<font color=red>*</font></td>
			<td><input type="password" name="mot_de_passe" size=30"></td></tr>
		<tr><td>confirmation<font color=red>*</font></td>
			<td><input type="password" name="confirmation" size=30"></td></tr>
		<tr><td>Adresse mail<font color=red>*</font></td>
			<td><input type="text" name="adresse_mail" size=60 value="<?php echo $modifAdmin->adresse_mail; ?>"></td></tr>
		<tr><td>Niveau</td>
			<td><select name="niveau"><option value=1>Administrateur</option>
			<option value=2>Gestionnaire</option>
			<option value=3>Contributeur</option>
			</select>
            </td></tr>
	</table>
	<font color=red>* champ obligatoire</font><br>
	<br>
	<input type="submit" value="enregistrer">&nbsp;<input type="button" value="abandonner" onclick="document.location.href='<?php echo $phpSelf; ?>';">
	</form>
	<script language="javascript" type="text/javascript">
		setTimeout("document.formulaire_administrateur.identifiant.focus()",1);
	</script>
	<?php
} else {
	echo "<input type='button' value='Nouvel administrateur' "
				."onclick=\"document.location.href='".$phpSelf."?nouveau=1';\">";
}


// ---------------------- AFFICHAGE DE LA LISTE DES ADINISTRATEURS -------------------------------------------------
// lecture des donnes globales au script
$listeIdAdministrateurs = Administrateur::listeIdAdministrateurs();
?><br>
<br>
<table class="pliste">
	<tr><th>Identifiant</th><th>Adresse mail</th><th>Niveau</th><th>Actions</th></tr>
	<?php
	if(empty($listeIdAdministrateurs)) {
		echo "<tr><td colspan=4>Aucun administrateur</td></tr>";
	} else {
		$html = "";
		$i = 0;
		
		foreach($listeIdAdministrateurs as $id_administrateur) {
			$administrateur = new Administrateur($id_administrateur);

			$html .= "<tr class='gris".($i&1)."1'>"
			."<td class='cell_bar_horiz'><font size='2'><b>".$administrateur->identifiant."</b></font></td>"
			."<td><font size=1>".$administrateur->adresse_mail."</font></td>"
			."<td><font size=1>".$niveauxAdmin[$administrateur->niveau]."</font></td>"
			."<td>"
			."<input type='button' value='Modifier' "
			."onclick=\"document.location.href='".$phpSelf."?modifier=".$id_administrateur."';\">"
			."<input type='button' value='Supprimer' "
			."onclick=\"if (window.confirm('Confirmez-vous la suppression de "
			.$administrateur->identifiant
			." ?')) {document.location.href='".$phpSelf."?supprimer=".$id_administrateur."';}\">"
			."</td></tr>";
			$i++;
		}
		echo $html;
	}
	?>
</table>
</div>
<?php
fin_html();
deconnexionBase();
?>