<?php
include("include/blocs_html_admin.inc.php");
include("include/fonctions_admin.inc.php");
include("../classes/AttrVille.class.php");
connexionBase();
controleAuth();
$phpSelf = $_SERVER["PHP_SELF"];
if($_SESSION["OMA_administrateur"]->niveau > 2) exit("vous n'avez pas les droits pour accder  cette page");

debut_html();
echo '<div id="adminCentre"><h2>Gestion des Attributs de Ville</h2>';

// -----------------------------------------------------------------------------------------------------------------
// RETOUR FORMULAIRE CREATION/MODIFICATION ---------------------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("retour_form",$_POST)) {
	if(!empty($_POST["nom_av"])) {
		$tmpAttrVille = new AttrVille($_POST["id_attr_ville"]);
		$tmpAttrVille->nom = stripslashes(ucwords(strtolower($_POST["nom_av"])));
		if(!empty($_POST["nom_av_court"])) {
		    $tmpAttrVille->nom_court = stripslashes($_POST["nom_av_court"]);
		}
		$tmpAttrVille->ecriture();
	}
}

// -----------------------------------------------------------------------------------------------------------------
// ---------------------- SUPPRESSION ------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("supprimer",$_GET)) {
	$tmpAttrVille = new AttrVille($_GET["supprimer"]);
	$tmpAttrVille->suppression();
}

// -----------------------------------------------------------------------------------------------------------------
// ---------------------- FORMULAIRE DE CREATION-MODIFICATION ------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("nouveau",$_GET) || array_key_exists("modifier",$_GET)) {
	$tmpIdAttrVille = null;
	if(array_key_exists("modifier",$_GET)) {
		$tmpIdAttrVille = $_GET["modifier"];
	}
	$tmpAttrVille = new AttrVille($tmpIdAttrVille);
	
	?><form name="form_attr_ville" action="<?php echo $phpSelf; ?>" method="POST">
	<input type="hidden" name="retour_form" value="1">
	<input type="hidden" name="id_attr_ville" value="<?php echo $tmpIdAttrVille; ?>">
	<table class="pliste">
		<tr><th colspan=2>Cration/Modification d'un attribut de ville</th></tr>
		<tr><td>Nom<font color=red>*</font></td>
			<td><input type="text" name="nom_av" size=30 value="<?php echo htmlentities($tmpAttrVille->nom); ?>"></td></tr>
		<tr><td>Nom court</td>
			<td><input type="text" name="nom_av_court" size=20 value="<?php echo $tmpAttrVille->nom_court; ?>"></td></tr>
	</table>
	<font color=red>* champ obligatoire</font><br>
	<br>
	<input type="submit" value="enregistrer">&nbsp;<input type="button" value="abandonner" onclick="document.location.href='<?php echo $phpSelf; ?>';">
	</form>
	<script language="javascript" type="text/javascript">
		setTimeout("document.form_attr_ville.nom_av.focus()",1);
	</script>
	<hr>
	<?php
} else {
	echo "<input type='button' value='Nouvel attribut' "
				."onclick=\"document.location.href='".$phpSelf."?nouveau=1';\">";
}




// AFFICHAGE DE LA LISTE DES AttrVilleS -------------------------------------------------
$idAttrVilles = AttrVille::listeIdAttrVille();

?><br>
<br>
<table class="pliste">
	<tr><th>Attributs rpertoris</th><th>Nom court</th><th></th></tr>
	<?php
	if(empty($idAttrVilles)) {
		echo "<tr><td colspan=3>Aucun Attribut</td></tr>";
	} else {
		$html = "";
		$i = 0;
		foreach($idAttrVilles as $id_attr_ville) {
			$AttrVille = new AttrVille($id_attr_ville);
			$html .= '<tr class="gris'.($i&1).'1">'
			.'<td><font size=2><b><a href="'.$phpSelf.'?modifier='.$id_attr_ville.'">'
			.$AttrVille->nom.'</a> </b></font></td>'
			.'<td><font size=1>'.$AttrVille->nom_court.'</font></td>'
			.'<td>'
			.'<input type="button" value="Supprimer" '
			.'onclick="if (window.confirm(\'Confirmez-vous la suppression de '
			.str_replace("'","\'",htmlspecialchars($AttrVille->nom,ENT_COMPAT))
			.' ?\')) {document.location.href=\''.$phpSelf.'?supprimer='.$id_attr_ville.'\';}">'
			
			.'</td>'
			.'</tr>';
			$i++;
		}
		echo $html;
	}
	?>
</table>
</div>
<?php
fin_html();
deconnexionBase();
?>