<?php
include("include/blocs_html_admin.inc.php");
include("include/fonctions_admin.inc.php");
include("../classes/Bien.class.php");
include("../classes/Photo.class.php");
include("../classes/Type.class.php");
include("../classes/Attribut.class.php");
connexionBase();
controleAuth();
$phpSelf = $_SERVER["PHP_SELF"];
if($_SESSION["OMA_administrateur"]->niveau >2) exit("vous n'avez pas les droits pour accder  cette page");

debut_html();
?><div id="adminCentre"><h2>Liste des categories de biens</h2><?php


// -----------------------------------------------------------------------------------------------------------------
// RETOUR FORMULAIRE CREATION/MODIFICATION ---------------------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("retour_form",$_POST)) {
	if(!empty($_POST["nom_categorie"])) {
		$tmpCategorie = new Categorie($_POST["id_categorie"]);
		$tmpCategorie->nom = stripslashes(ucwords(strtolower($_POST["nom_categorie"])));
		$tmpCategorie->ecriture();
	}
}

// -----------------------------------------------------------------------------------------------------------------
// RETOUR SUPPRIMER ---------------------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("supprimer",$_GET)) {
	$tmpCategorie = new Categorie($_GET["supprimer"]);
	if(empty($tmpCategorie->id_categorie)) exit;
	
	$listeIdBiensRattaches = $tmpCategorie->listeIdBiensRattaches();
	?><h1>ATTENTION</h1>
	La suppression d'une catgorie entraine :
	<ul>
	<li>La suppression de ses attributs</li>
	<li>La suppression de ses types</li>
	<li>La suppression de <u><b>tous ses biens</b></u>, mme s'ils sont archivs</li>
	</ul>
	La suppression d'une catgorie est dfinitive.<br>
	<br>
	<font size=2 color=red><b>
	Vous avez demand la suppression de la catgorie <u><?php echo $tmpCategorie->nom; ?></u><br>
	</b></font><br>
	 <br>
	<?php
	if(empty($listeIdBiensRattaches)) {
		?>
		<input type="button" value="Supprimer" 
		onclick="document.location.href='<?php echo $phpSelf; ?>?suppressionConfirmee=<?php echo $_GET["supprimer"];?>';">
		<?php
	} else {
		if(sizeof($listeIdBiensRattaches)==1) {
			echo '<h4>1 bien va tre supprim.</h4>';
		} else {
			echo '<h4>'.sizeof($listeIdBiensRattaches).' biens vont tre supprims.</h4>';
		}
		?><br>
		<form action="<?php echo $phpSelf; ?>" name="confirmSuppression" method="POST">
		<input type="hidden" name="confirmSuppressionOuiId" value="<?php echo $tmpCategorie->id_categorie; ?>">
		Confirmez-vous la suppression (saisissez OUI pour confirmer) :
		<input type="text" size=3 name="confirmOui">
		<input type="submit" name="supprimer">
		</form>
		<?php
	}
	?>
	&#160;&#160;
	<input type="button" value="Ne pas supprimer" onclick="document.location.href='<?php echo $phpSelf; ?>';">
	<?php
	fin_html();
	deconnexionBase();
	exit;
}
if(array_key_exists("suppressionConfirmee",$_GET)) {
	if(!empty($_GET["suppressionConfirmee"]) && is_numeric($_GET["suppressionConfirmee"])) {
		$tmpCategorie = new Categorie($_GET["suppressionConfirmee"]);
		$tmpCategorie->suppression();
	}
}
elseif(array_key_exists("confirmSuppressionOuiId",$_POST) && array_key_exists("confirmOui",$_POST)
&& $_POST["confirmOui"]=="OUI") {
	$tmpCategorie = new Categorie($_POST["confirmSuppressionOuiId"]);
	$tmpCategorie->suppression();
}

$listeIdNomCategories = Categorie::listeIdNomCategories();

// -----------------------------------------------------------------------------------------------------------------
// ---------------------- FORMULAIRE DE CREATION-MODIFICATION ------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("nouveau",$_GET) || array_key_exists("modifier",$_GET)) {
	$tmpIdCategorie = null;
	if(array_key_exists("modifier",$_GET)) {
		$tmpIdCategorie = $_GET["modifier"];
	}
	$tmpCategorie = new Categorie($tmpIdCategorie);
	
	?><form name="form_categorie" action="<?php echo $phpSelf; ?>" method="POST">
	<input type="hidden" name="retour_form" value="1">
	<input type="hidden" name="id_categorie" value="<?php echo $tmpIdCategorie; ?>">
	Nom de la catgorie : <input type="text" name="nom_categorie" size=30 value="<?php echo htmlentities($tmpCategorie->nom); ?>">
	<input type="submit" value="enregistrer">
	<input type="button" value="abandonner" onclick="document.location.href='<?php echo $phpSelf; ?>';">
	</form>
	<script language="javascript" type="text/javascript">
		setTimeout("document.form_categorie.nom_categorie.focus()",1);
	</script>
	<hr>
	<?php
}
else {
	echo "<input type='button' value='Nouvelle catgorie' "
				."onclick=\"document.location.href='".$phpSelf."?nouveau=1';\">";
}


// -----------------------------------------------------------------------------------------------------------------
// AFFICHAGE DE LA LISTE DES CATEGORIES -------------------------------------------------
// -----------------------------------------------------------------------------------------------------------------
$idCategories = Categorie::listeIdCategories();


?><br>
<br>
<table class="pliste">
	<tr><th>Categorie rpertorie</th><th>Biens en cours</th><th>Biens archivs</th><th>Actions</th></tr>
	<?php
	if(empty($idCategories)) {
		echo "<tr><td colspan=4>Aucune categorie</td></tr>";
	} else {
		$i = 0;
		foreach($idCategories as $item) {
			$tmpCategorie = new Categorie($item);
			$nbBienArchives = count($tmpCategorie->listeIdBiensRattaches(null,1));
			$nbBienNonArchives = count($tmpCategorie->listeIdBiensRattaches(null,0));
			echo '<tr class="gris'.($i&1).'1"><td><font size="2">'
			.'<a href="'.$phpSelf.'?modifier='.$item.'"><b>'.$tmpCategorie->nom.'</b></a></font></td>'
			.'<td align=center>'.$nbBienNonArchives.'</td>'
			.'<td align=center>'.$nbBienArchives.'</td>'
			.'<td><input type="button" value="Supprimer" '
			.'onclick="document.location.href=\''.$phpSelf.'?supprimer='.$item.'\';">'
			.'</td></tr>';
			$i++;
			
		}
	}
	?>
</table>
</div>
<?php
fin_html();
deconnexionBase();
?>