<?php
include("include/blocs_html_admin.inc.php");
include("include/fonctions_admin.inc.php");
include("../classes/Ville.class.php");
include("../classes/AttrVille.class.php");
connexionBase();
controleAuth();
$phpSelf = $_SERVER["PHP_SELF"];
$affichageListe = true;

debut_html();
echo '<div id="adminCentre"><h2>Gestion des villes</h2>';


// lecture des donnes globales au script
$listeIdNomAttrVille = AttrVille::listeIdNomAttrVille();

// -----------------------------------------------------------------------------------------------------------------
// RETOUR FORMULAIRE CREATION/MODIFICATION ---------------------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("retour_form",$_POST)) {
	if(!empty($_POST["nom_ville"])) {
		$villeModifiee = new Ville($_POST["id_ville"]);
		$villeModifiee->nom = stripslashes(ucwords(strtolower($_POST["nom_ville"])));
		if(!empty($_POST["code_postal"])) {
		    $villeModifiee->code_postal = $_POST["code_postal"];
		}
		$villeModifiee->r_attr_ville = array();
		foreach($listeIdNomAttrVille as $k=>$v) {
		    if(array_key_exists("attr_ville_".$k,$_POST)) {
	            $villeModifiee->r_attr_ville[] = $k;
		    }
		}
		// modification des distances dj mmorises
		$idVilles = Ville::listeIdVilles();
		$villeModifiee->toutes_villes_proches = array();
		foreach($idVilles as $k) {
			if(!empty($villeModifiee->id_ville) && $k==$villeModifiee->id_ville) continue;
			if(is_numeric($_POST["distance_".$k])) {
				$villeModifiee->toutes_villes_proches[$k]=intval($_POST["distance_".$k]);
			}
		}
		// Ajout d'une distance
		/*if($_POST["villeProcheAAjouter"]!="-1" && !empty($_POST["distanceNouvelleVille"])) {
			$villeModifiee->toutes_villes_proches[intval($_POST["villeProcheAAjouter"])] = intval($_POST["distanceNouvelleVille"]);
		}*/
		$villeModifiee->ecriture();
	}
}

// -----------------------------------------------------------------------------------------------------------------
// ---------------------- SUPPRESSION ------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("supprimer",$_GET)) {
	$tmpVille = new Ville($_GET["supprimer"]);
	$tmpVille->suppression();
	
}

// -----------------------------------------------------------------------------------------------------------------
// Lecture SGBD
// -----------------------------------------------------------------------------------------------------------------
// lecture des donnes globales au script
$idVilles = Ville::listeIdVilles();


// -----------------------------------------------------------------------------------------------------------------
// ---------------------- FORMULAIRE DE CREATION-MODIFICATION ------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("nouveau",$_GET) || array_key_exists("modifier",$_GET)) {
	$tmpIdVille = null;
	if(array_key_exists("modifier",$_GET)) {
		$tmpIdVille = $_GET["modifier"];
	}
	$tmpVille = new Ville($tmpIdVille);
	//var_dump($tmpVille);
	
	?><form name="form_ville" action="<?php echo $phpSelf; ?>" method="POST">
	<input type="hidden" name="retour_form" value="1">
	<input type="hidden" name="id_ville" value="<?php echo $tmpIdVille; ?>">
	<table class="pliste">
		<tr><th colspan=2>Cration/Modification d'une ville</th></tr>
		<tr><td>Nom<font color=red>*</font></td>
			<td><input type="text" name="nom_ville" size=30 value="<?php echo htmlentities($tmpVille->nom); ?>"></td></tr>
		<tr><td>Code Postal</td>
			<td><input type="text" name="code_postal" size=5 value="<?php echo $tmpVille->code_postal; ?>"></td></tr>
		<tr><td>Cette ville propose&nbsp;</td><td>
		<?php
		if(!empty($listeIdNomAttrVille)) {
			echo '<table class="vide" width="100%">';
			$i=0;
			foreach($listeIdNomAttrVille as $k=>$v) {
				if(($i&1)==0) {
					echo '<tr>';
				}
				echo '<td width="50%"><input type="checkbox" name="attr_ville_'.$k.'"'
			    .(in_array($k,$tmpVille->r_attr_ville)?' checked':'')
			    .'>'.$v[0].'</td>';
				if(($i&1)==1) echo '</tr>';
				$i++;
			}
			if(($i&1)==1) echo '<td>&#160;</td></tr>';
			echo '</table>';
	    }
		?>
		</td></tr>
		<tr><td>Distance avec les villes voisines &#160;</td><td>
		<table class="vide">
		<?php
		$i = 0;
		foreach($idVilles as $k) {
			if(!is_null($tmpIdVille) && $tmpIdVille==$k) continue;
			$autresVille = new Ville($k);
			echo (($i&1)==0?'<tr>':'').'<td>&#160;'.$autresVille->nom.'</td><td> '
			.'<input type="text" name="distance_'.$k.'" size=3 ';
			if(!empty($tmpVille->id_ville) && array_key_exists($k,$tmpVille->toutes_villes_proches)) {
				echo 'value="'.$tmpVille->toutes_villes_proches[$k].'"';
			}
			echo '> km&#160;&#160;</td>'.(($i&1)==1?'</tr>':'');
			$i++;
		}
		if(($i&1)==1) echo '<td>&#160;</td></tr>';
		?>
		</table>
		</td></tr>
	</table>
	<font color=red>* champ obligatoire</font><br>
	<br>
	<input type="submit" value="enregistrer">&nbsp;<input type="button" value="Abandonner" onclick="document.location.href='<?php echo $phpSelf; ?>';">
	</form>
	<script language="javascript" type="text/javascript">
		setTimeout("document.form_ville.nom_ville.focus()",1);
	</script>
	<?php
	$affichageListe = false;
} else {
	echo "<input type='button' value='Nouvelle ville' "
				."onclick=\"document.location.href='".$phpSelf."?nouveau=1';\">";
}

if($affichageListe == false) {
	echo '</div>';
	fin_html();
	deconnexionBase();
	exit;
}

// ---------------------- AFFICHAGE DE LA LISTE DES VILLES -------------------------------------------------

?><br>
<br>
<table class="pliste">
	<tr><th>Ville rpertorie</th><th>Sur place</th><th>Biens non archivs</th><th> </th></tr>
	<?php
	if(empty($idVilles)) {
		echo '<tr><td colspan=4>Aucune ville</td></tr>';
	} else {
		$html = '';
		$i = 0;
		foreach($idVilles as $id_ville) {
			$ville = new Ville($id_ville);
			$nbBiensRattaches = count($ville->listeBiensRattaches(null,0));
			$html .= '<tr class="gris'.($i&1).'1">'
			.'<td class="cell_bar_horiz"><font size="2"><b><a href="'.$phpSelf.'?modifier='.$id_ville.'">'
			.$ville->nom.'</a></b> ('.$ville->code_postal.')</font></td>'
			.'<td><font size=1>&nbsp;';
			foreach($ville->r_attr_ville as $id_attr_ville) {
				$html.= $listeIdNomAttrVille[$id_attr_ville][1].", ";
			}
			$html .= '</font></td>'
			.'<td>'.$nbBiensRattaches.' bien'.($nbBiensRattaches==1?'':'s').'</td>'
			.'<td>'
			.'<input type="button" value="Supprimer" ';
			
			if($nbBiensRattaches>0) {
				$html .= 'onclick="window.alert(\'La suppression est impossible tant que des biens sont rattachs\');">';
			}
			else {
				$html .= 'onclick="if (window.confirm(\'Confirmez-vous la suppression de '
				.str_replace("'","\'",htmlspecialchars($ville->nom,ENT_COMPAT))
				.' ?\')) {document.location.href=\''.$phpSelf.'?supprimer='.$id_ville.'\';}">';
			}
			$html .= '</td></tr>';
			$i++;
		}
		echo $html;
	}
	?>
</table>
</div>
<?php
fin_html();
deconnexionBase();
?>