<?php
include("include/blocs_html_admin.inc.php");
include("include/fonctions_admin.inc.php");
include("../classes/Bien.class.php");
include("../classes/Type.class.php");
include("../classes/Ville.class.php");

controleAuth();

debut_html();

// --------------- BIENS ------------------------------------
$listeIdNomCategories = Categorie::listeIdNomCategories();
$nbBiensVisibles = Bien::nombreBiens(null,1,0);
$nbBiensVisibles = Bien::nombreBiens(null,1,0);
$nbBiensMasques = Bien::nombreBiens(null,0,0);
$nbBiensArchives = Bien::nombreBiens(null,null,1);
$nbBiensTotal = Bien::nombreBiens();

// --------------- VILLES ------------------------------------
$idVilles = Ville::listeIdVilles();

?>
<h2>Contenu de la base de donnes</h2>

<table class="pliste" width="50%">
	<tr><th colspan=2>Total biens enregistrs</th></tr>
	<?php
	echo "<tr><td>Nombre total de biens</td><td align=center>".$nbBiensTotal."</td></tr>";
	echo "<tr><td>&nbsp;- dont visibles</td><td align=center>".$nbBiensVisibles."</td></tr>";
	echo "<tr><td>&nbsp;- dont masqus</td><td align=center>".$nbBiensMasques."</td></tr>";
	echo "<tr><td>&nbsp;- dont archivs</td><td align=center>".$nbBiensArchives."</td></tr>";
	?>
</table>
<br>
<table class="pliste" width="50%">
	<tr><th colspan=2>Biens par catgorie</th></tr>
	<?php
	foreach($listeIdNomCategories as $k=>$v) {
		$nbBiensTotalCat = Bien::nombreBiens($k);
		echo "<tr><td>Catgorie ".$v."</td><td align=center>".$nbBiensTotalCat."</td></tr>";
	}
	?>
</table>
<br>
<table class="pliste" width="50%">
	<tr><th colspan=2>Villes enregistres</th></tr>
	<?php
	echo "<tr><td>Nombre total de villes</td><td align=center>".count($idVilles)."</td></tr>";
	?>
</table>

<?php
fin_html();
deconnexionBase();
?>