<?php
# Copyright (c) 2008 MARIE Olivier. 
# Ce fichier fait partie du logiciel OMega-Annonces.
# OMega-Annonces est un logiciel libre ; vous pouvez le redistribuer et/ou le 
# modifier selon les termes de la GNU General Public License (Licence Publique 
# Gnrale GNU) telle qu'elle a t publie par la Free Software Foundation ; 
# soit la version 2 de la licence, soit (comme vous le souhaitez) toute version 
# ultrieure.
# OMega-Annonces est distribu dans l'espoir qu'il sera utile, mais SANS LA 
# MOINDRE GARANTIE ; pas mme la garantie implicite de COMMERCIABILITE ou 
# d'ADEQUATION A UN BUT PARTICULIER.
# Voir la GNU General Public License pour plus de dtails.
# Vous devriez avoir reu une copie de la GNU General Public License en mme 
# temps que ce programme; sinon, merci d'crire  la Free Software Foundation, 
# Inc, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

//include("include/blocs_html_admin.inc.php");
include("include/fonctions_admin.inc.php");
connexionBase();

if(isset($_COOKIE['OMA_idAdmin'])) {
	header("Location:index.php");
	exit;
}
if(array_key_exists("logout",$_GET)) {
	unset($_SESSION["OMA_idAdmin"]);
	unset($_SESSION["OMA_administrateur"]);
	header("Location:index.php");
	exit;
}

if(array_key_exists("login",$_POST)) {
    if(empty($_POST["login"]) || !ereg("^[a-zA-Z0-9]{3,20}$",$_POST["login"])) {
        $message = "Login incorrect";
    }
    elseif(empty($_POST["mdp"])) {  // !ereg("[a-zA-Z0-9]{4,20}",$_POST["mdp"])) {
        $message = "Mot de passe incorrect";
    }
    else {
    	if(!Administrateur::authentification($_POST["login"],$_POST["mdp"])) {
    	    $message = "Authentification incorrecte";
    	} else {
    		$id_admin = Administrateur::identification($_POST["login"]);
    		$_SESSION["OMA_idAdmin"] = $id_admin;
    		if(array_key_exists("memcookie",$_POST)) {
    			setcookie("OMA_idAdmin",$id_admin,time()+60*60*24*100);
    		}
    		header("Location:index.php");
    		exit;
    	}
    }
}

if(array_key_exists("mdpOublieLogin",$_POST)) {
	$id_admin = Administrateur::identification($_POST["mdpOublieLogin"]);
	if($id_admin == false) {
		$message = "Identifiant non reconnu";
	}
	else {
		$tmpAdminEtourdi = new Administrateur($id_admin);
		$mdp = chr(rand (65,90)).chr(rand (65,90)).chr(rand (65,90)).chr(rand (65,90)).chr(rand (65,90)).chr(rand (65,90));
		$tmpAdminEtourdi->mot_de_passe = md5($mdp);
		$tmpAdminEtourdi->ecriture();
		mail($tmpAdminEtourdi->adresse_mail,"Authentification sur OMega-Annonces",
		"Bonjour,\r\nUn mot de passe vous a t attribu automatiquement. Il s'agit de :\r\n"
		.$mdp."\r\n");
		$message = "Un mot de passe temporaire a t envoy  votre adresse mail.";
	}
}

deconnexionBase();

?>
<html>
	<head>
	<style type="text/css">
	body {
		font-family:verdana,arial;
		font-size:80%;
	}
	td {
		font-size:80%;
	}
	</style>
</head>
<body>
<center>
<?php
if(array_key_exists("mdpOublie",$_GET)) {
	?>
	<table border=1 cellpadding=10 bgcolor="#DDDDDD">
	<tr><th align=center><h3>Mot de passe oubli ?</h3>
	<form name="formAuth" method="POST" action="login.php">
		<table border=0>
		    <tr><td colspan="2">
		    	Saisissez votre identifiant et validez. Un nouveau mot de passe vous sera attribu automatiquement et envoy  votre adresse mail.
		    	</td></tr>
			<tr><td>Identifiant : </td>
			<td><input type=text name=mdpOublieLogin size=20 maxlength=20></td></tr>
			<tr><td colspan=2 align=center><br><input type=submit value="Envoyer"></td></tr>
		</table>
	</form>
	</th></tr>
	</table>
	<script language="javascript" type="text/javascript">
		setTimeout("document.formAuth.mdpOublieLogin.focus()",1);
	</script>
	<?php
} else {
	?>
	<table border=1 cellpadding=10 bgcolor="#DDDDDD">
	<tr><th align=center><h3>Authentification</h3>
	<?php 
	echo (isset($message)?"<font color='red'><b>".$message."</b></font><br>":"");
	?>
	<form name="formAuth" method="POST" action="login.php">
		<table border=0>
			<tr><td>Identifiant : </td>
			<td><input type=text name=login size=20 maxlength=20></td></tr>
			<tr><td>Mot de passe : </td>
			<td><input type=password name=mdp size=20 maxlength=20></td></tr>
			<tr><td colspan=2><br>
			<input type=checkbox name=memcookie> se connecter automatiquement  chaque visite (cookie)</td></tr>
			<tr><td colspan=2 align=center><br><input type=submit value="Connexion"><br>
			<br>
			<a href="login.php?mdpOublie=1">Mot de passe oubli ?</a></td></tr>
		</table>
	</form>
	</th></tr>
	</table>
	<a href="../index.php">Retour au site public</a>
	<script language="javascript" type="text/javascript">
		setTimeout("document.formAuth.login.focus()",1);
	</script>
	<?php
}
?>
</center>
</body>
</html>
