<?php
# Copyright (c) 2008 MARIE Olivier. 
# Ce fichier fait partie du logiciel OMega-Annonces.
# OMega-Annonces est un logiciel libre ; vous pouvez le redistribuer et/ou le 
# modifier selon les termes de la GNU General Public License (Licence Publique 
# Gnrale GNU) telle qu'elle a t publie par la Free Software Foundation ; 
# soit la version 2 de la licence, soit (comme vous le souhaitez) toute version 
# ultrieure.
# OMega-Annonces est distribu dans l'espoir qu'il sera utile, mais SANS LA 
# MOINDRE GARANTIE ; pas mme la garantie implicite de COMMERCIABILITE ou 
# d'ADEQUATION A UN BUT PARTICULIER.
# Voir la GNU General Public License pour plus de dtails.
# Vous devriez avoir reu une copie de la GNU General Public License en mme 
# temps que ce programme; sinon, merci d'crire  la Free Software Foundation, 
# Inc, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

include("classes/Configuration.class.php");
include("classes/Categorie.class.php");
include_once("personnalisation/config.inc.php");
connexionBase();
Configuration::initDefines();

session_start();
define("LOG_FILE","log_file");

$libelle_mois = array(' ','janvier','fvrier','mars','avril','mai','juin',
'juillet','aot','septembre','octobre','novembre','dcembre');

connexionBase();
$listeIdNomCategories = Categorie::listeIdNomCategories();

function requeteSQL($sql) {
	global $db_link;
    $result = mysql_query($sql,$db_link);
    if(!$result) {
        ecrireLog($sql." ".mysql_error());
        exit("Erreur base de donnes");
    }
    return $result;
}

function ecrireLog($msg) {
	if(LOG_ERREURS==1 && $handle = fopen(LOG_FILE, "a")) {
		fwrite($handle, date("Ymd H:i:s")." ".$msg."\r\n");
		fclose($handle);
	} else exit("Impossible d'ecrire dans le fichier log");
}


function connexionBase() {
	global $db_link;
	if($_SERVER["SERVER_NAME"]=="127.0.0.1") {
		$serveur = "localhost";
	} else {
		$serveur = SGBD_ADR_BASE;
	}
	$db_link = mysql_connect($serveur,SGBD_UTILISATEUR,SGBD_MOTDEPASSE)
	or die("Probleme d'acces a la base de donnees");
	mysql_select_db(SGBD_NOM_BASE) or die("Could not select database");
}

function deconnexionBase() {
	global $db_link;
	mysql_close($db_link);
}

function shuffle_assoc($input_array) {
   if(!is_array($input_array) or !count($input_array))
       return null;
   $randomized_keys = array_rand($input_array, count($input_array));
   $output_array = array();
   foreach($randomized_keys as $current_key) {
       $output_array[$current_key] = $input_array[$current_key];
       unset($input_array[$current_key]);
   }
   return $output_array;
}


function afficheAnnonceDetail($id_bien) {
	$bien = new Bien($id_bien);
	$categorie = new Categorie($bien->id_categorie);
	if(empty($bien->id_bien)) {
		echo "Bien introuvable !";
		return;
	}
	$listePhotos = Photo::listeNumeros($id_bien);
	$ville = new Ville($bien->id_ville);
	
	?>
	<table border=0 width="100%" >
	<tr><td align="center">
		<table width="100%" class="boiteAnnonceDetailBG">
		<tr><th>
			<table width="100%" class="vide">
				<tr>
				<th align="left">Catgorie : <?php echo $categorie->nom; ?></th>
				<th align="right">Bien n<?php echo $id_bien; ?>
				<?php echo ($bien->best?'&#160;<img alt="coup de coeur" title="Coup de coeur !" src="images/coeur.gif">':''); ?></th>
				</tr>
			</table>
		</th></tr>
		<tr><td>
			<table border=0 cellspacing=5 cellpadding=3 width="100%" class="vide">
			<tr><td>
				<table border=1 cellspacing=5 cellpadding=3 width="100%" class="boiteAnnonceDetail">
				<?php
				if(!empty($bien->r_type_bien)) {
					$html = '<tr><th valign="top" width="30%">&#160;Type(s)</th><td>';
					foreach($bien->r_type_bien as $id_type) {
						$type = new Type($id_type);
						$html .= $type->nom.', ';
					}
					echo substr($html, 0, strlen($html)-2).'</td></tr>';
				}
				?>
				<tr><th valign="top">&#160;Ville</th><td><?php
				$attributsVille = $ville->listeAttributs();
				echo $ville->nom.' (cette ville propose : ';
				$liste = array();
				foreach($attributsVille as $k=>$v) {
				    $liste[] = $v[0];
				}
				echo implode(', ',$liste).')';
				?></td></tr>
				<tr><th valign="top">&#160;Description</th><td><?php echo (empty($bien->description)?'':nl2br($bien->description)); ?></td></tr>
				<tr><th valign="top">&#160;Adresse</th><td><?php echo (empty($bien->adresse)?'':nl2br($bien->adresse)); ?></td></tr>
				</table>

				<table class="boiteAnnonceDetailBG" width="100%"><tr><th colspan=2>Attributs</th></tr>
				<tr><td width="50%" align="center" nowrap>
					<?php
					$html = '';
					$i=0;
					foreach($bien->r_attribut as $id_att=>$v) {
						$attribut = new Attribut($id_att);
						$html .= '<b>'.$attribut->nom.'</b>&nbsp;:&nbsp;';
			
						if($attribut->format==1) { // Nombre
							$html.= number_format($v, 0, ',', ' ');
						}
						else
						if($attribut->format==2) { // Boolen
							if($v==1) {
								$html.= 'oui';
							} else {
								$html.= 'non';
							}
						} 
						else {
							$html .= $v;
						}
			            $html .= '<br>';
			            $i++;
			            if($i==intval((1+sizeof($bien->r_attribut))/2)) {
			                $html .= '</td><td align="center" width="50%" nowrap>';
			            }
					}
					echo $html;
					/* number_format(15000, 0, ',', ' ');
			
					echo "<br>";
					echo htmlentities("",ENT_QUOTES,'ISO-8859-15');*/
					?>
				</td></tr></table>
			</td></tr>
			<tr><td align="center">
			<?php
			if(!empty($listePhotos)) {
				if(!(array_key_exists("numPhoto",$_GET) && $_GET["numPhoto"]=="toutes")) {
					foreach($listePhotos as $item) {
						$photo = new Photo($id_bien,$item);
						echo '&#160; <a href="index.php?detail='.$id_bien.'&amp;numPhoto='.$item.'">'
						.'<img alt="vignette" border=0 src="photos/vignettes/'.$id_bien.'_'.$item.'.png"></a> &#160;';
					}
					echo '<br><font size="1">Cliquez sur la photo pour l\'agrandir</font>';
					if(sizeof($listePhotos)>1) {
						echo '&#160; <a href="index.php?detail='.$id_bien.'&amp;numPhoto=toutes">'
						.'Agrandir toutes les photos</a>';
					}
				}
			}
			else {
				echo '<i>Aucune photo disponible</i>';
			}
			?>
			</td></tr>
			</table>
		</td></tr>
		</table>
		<br>
		<?php
		if(array_key_exists("numPhoto",$_GET)) {
			if($_GET["numPhoto"]=="toutes") {
				foreach($listePhotos as $item) {
					$photo = new Photo($id_bien, $item);
					echo ' <img alt="photo" border=0 src="photos/'.$photo->nom_fichier.'"> ';
					if(!empty($photo->description)) {
						echo '<br><i>'.$photo->description.'</i>';
					}
					echo '<br><br>';
				}
			}
			else {
				$photo = new Photo($id_bien, $_GET["numPhoto"]);
				echo '<img alt="photo" border=0 src="photos/'.$photo->nom_fichier.'">';
				if(!empty($photo->description)) {
					echo '<br><i>'.$photo->description.'</i>';
				}
			}
		}
		?>
		
	</td></tr>	
	</table>
	<?php
}

function afficheAnnonce($id_bien) {
	$item = new Bien($id_bien);
	$listePhotos = Photo::listeNumeros($id_bien);
	$ville = new Ville($item->id_ville);
	?>
	<table border=0 width="100%" class="boiteAnnonce">
	<tr><td>
		<table border=1 cellspacing=3 cellpadding=0 class="vide" width="100%">
		<?php
		echo '<tr><td rowspan=4 width="1%" valign="top">';
		if(!empty($listePhotos)) {
			$numeroPhoto = $listePhotos[rand(0, count($listePhotos)-1)];
			$photo = new Photo($id_bien,$numeroPhoto);
			echo '<a class="typesmall" href="index.php?detail='.$item->id_bien.'">'
			.'<img alt="vignette" border=0 src="photos/vignettes/'.$id_bien.'_'.$numeroPhoto.'.png"></a>';
		}
		echo '&#160;</td><th>'.(empty($item->accroche)?'':$item->accroche)
		.'</th><td rowspan=2>'.($item->best?'<img alt="coup de coeur" title="Coup de coeur !" src="images/coeur.gif">':'').'</td></tr>'
		.'<tr><td><i>'.$ville->nom.'</i></td></tr><tr><td>';
		if(!empty($item->description)) {
		    echo nl2br($item->description);
		}
		echo '</td></tr><tr><td><a class="typesmall" href="index.php?detail='.$item->id_bien.'">Dtails</a></td></tr>';
		?>
		</table>
	</td></tr>	
	</table>
	<?php
}

function afficheBoiteContact(){
	?>
	<div id="boiteContact">
		<table width="100%">
		<tr><th>Contact</th></tr>
		<tr><td>
		<form name="boiteContact" action="<?php echo $_SERVER["PHP_SELF"]; ?>" method="GET">
		<input type="hidden" name="boiteContact" value=1>
		<?php echo PS_TEXTE_BOITE_CONTACT; ?><br>
		<br>
		<input type="submit" value="Plus de dtails">
		</form>
		</td></tr>
		</table>
	</div>
	<br>
	<?php
}

function afficheBoiteRechercheAvancee(){
	global $listeIdNomCategories;
	?>
	<div id="boiteRechercheAvancee">
		<table width="100%">
		<tr><th>Recherche avance</th></tr>
		<tr><td>
		<form name="boiteRechercheAvancee" action="<?php echo $_SERVER["PHP_SELF"]; ?>" method="GET">
		<input type="hidden" name="boiteRechercheAvancee" value=1>
		Si vous avez des critres prcis concernant le bien, son emplacement, la proximit de structures publiques ou autre, slectionnez la catgorie et cliquez sur valider.<br>
		<b>Categorie</b><br>
		<select name="id_categorie">
		<?php
		$idCategorieChoisie = null;
		
		if(array_key_exists("boiteRechercheAvancee",$_GET)) {
			$idCategorieChoisie = intval($_GET["id_categorie"]);
		}
		foreach($listeIdNomCategories as $k=>$v) {
			echo '<option value='.$k
			.((array_key_exists("OMA_derniereRechAv",$_SESSION) && $_SESSION["OMA_derniereRechAv"]->id_categorie==$k)?' selected':'')
			.'>'.$v.'</option>';
		}
		?>
		</select>&#160;<br>
		<br>
		<input type="submit" value="Valider">
		</form>
		</td></tr>
		</table>
	</div>
	<br>
	<?php
}

function afficheBoiteAlerte(){
	?>
	<div id="boiteAlerte">
		<table width="100%">
		<tr><th>Alerte mail</th></tr>
		<tr><td>
		<form name="boiteAlerte" action="<?php echo $_SERVER["PHP_SELF"]; ?>" method="GET">
		<input type="hidden" name="boiteAlerte" value=1>
		Pour recevoir dans votre bote aux lettres les dernieres offres correspondant  vos critres de recherche, 
		ou pour vous dsabonner, cliquez ici.<br>
		<br>
		<input type="submit" value="Alerte mail">
		</form>
		</td></tr>
		</table>
	</div>
	<br>
	<?php
}

function afficheBoiteRechercheRapideCatVille() {
	global $listeIdNomCategories;
	?>
	<div id="boiteRechercheRapide">
		<table width="100%">
		<tr><th>Recherche rapide par localits</th></tr>
		<tr><td>
		<form name="boiteRechercheRapideCatVille" action="<?php echo $_SERVER["PHP_SELF"]; ?>" method="GET">
		<input type="hidden" name="boiteRechercheRapideCatVille" value=1>
		<b>Catgorie</b><br>
		<select name="id_categorie">
		<?php
		$idCategorieChoisie = null;
		$idVilleChoisie = null;
		
		if(array_key_exists("derniereOperation",$_SESSION) && $_SESSION["derniereOperation"][0]=="rechRapideCatVille") {
			$idCategorieChoisie = $_SESSION["derniereOperation"][1];
			$idVilleChoisie 	= $_SESSION["derniereOperation"][2];
		}
		foreach($listeIdNomCategories as $k=>$v) {
			echo '<option value='.$k
			.($idCategorieChoisie==$k?' selected':'').'>'.$v.'</option>';
		}
		?>
		</select>&#160;<br>
		<b>Situ  ou aux alentours de</b><br>
		<select name="id_ville">
		<option value="0">Toutes les localits</option>
		<?php
		$listeIdNomVilles = Ville::listeIdNomVilles();
		foreach($listeIdNomVilles as $k=>$v) {
			echo '<option value='.$k
			.($idVilleChoisie==$k?' selected':'').'>'.$v.'</option>';
		}
		?></select>&#160;<br>
		<br>
		<input type="submit" value="Rechercher">
		</form>
		</td></tr>
		</table>
	</div>
	<br>
	<?php
}

function afficheBoiteRechercheRapideCatType() {
	global $listeIdNomCategories;
	?>
	<div id="boiteRechercheRapide">
		<table width="100%">
		<tr><th>Recherche rapide</th></tr>
		<tr><td>
		<form name="boiteRechercheRapideCatType" action="<?php echo $_SERVER["PHP_SELF"]; ?>" method="GET">
		<input type="hidden" name="boiteRechercheRapideCatType" value=1>
		<b>Catgorie</b><br>
		<select name="id_categorie" OnChange="xhrequest('id_categorie='+this.value,'xh_types.php','listeTypes');">
		<option value="-1">Choisissez</option><?php
		$idCategorieChoisie = null;
		$idTypeeChoisie = null;
		
		foreach($listeIdNomCategories as $k=>$v) {
			echo '<option value='.$k;
			if(array_key_exists("boiteRechercheRapideCatType",$_GET) && $_GET["id_categorie"]==$k) {
				echo ' selected';
			}
			echo '>'.$v.'</option>';
		}
		?>
		</select>&#160;<br>
		<div id="listeTypes"><?php
		if(array_key_exists("boiteRechercheRapideCatType",$_GET)) {
			$id_types = Type::listeIdNomTypes($_GET["id_categorie"]);
			if(!empty($id_types)) {
				?>
				<b>Type</b><br>
				<select size='1' name='id_type' width='140' >
				<option  value='-1'>Tous les types</option>
				<?php
				foreach($id_types as $k=>$v) {
					echo '<option value='.$k;
					if($_GET["id_type"]==$k) {
						echo ' selected';
					}
					echo '>'.htmlentities($v).'</option>';
				}
				?></select>
				&#160;<br><?php
			}
		}
		?>
		</div>
		<br>
		<input type="submit" value="Rechercher">
		</form>
		</td></tr>
		</table>
	</div>
	<br>
	<?php
}

function rechercheBiensCatVille($id_categorie, $id_ville, $distance) {
	if(empty($id_ville)) {
		$sql = "SELECT id_bien FROM oma_bien WHERE visible=1 AND archive=0 AND id_categorie=".$id_categorie;
	}
	else {
		$tmpVille = new Ville($id_ville);
		$idVillesProches = $tmpVille->listeIdVillesProches($distance);
		
		if(empty($idVillesProches)) {
			$sql = "SELECT DISTINCT id_bien FROM oma_bien WHERE visible=1 AND archive=0 AND "
			."id_categorie=".$id_categorie." AND id_ville=".$tmpVille->id_ville;
		} else {
			$sql = "SELECT DISTINCT id_bien FROM oma_bien WHERE visible=1 AND archive=0 AND "
			."id_categorie=".$id_categorie." AND (id_ville=".$tmpVille->id_ville
			." OR (id_ville in (".implode(",", $idVillesProches).")))";
		}
	}
	//echo $sql;
	$result = requeteSQL($sql);
	$tabRetour = array();
	while ($line = mysql_fetch_array($result)) {
		$tabRetour[] = intval($line[0]);
	}
	mysql_free_result($result);
	return $tabRetour;	
}

function rechercheBiensCatType($id_categorie, $id_type=null) {
	if(empty($id_type) || $id_type=="-1") {
		$sql = "SELECT id_bien FROM oma_bien WHERE visible=1 AND archive=0 AND id_categorie=".$id_categorie;
	} else {
		$sql = "SELECT oma_bien.id_bien FROM oma_bien, oma_r_type_bien WHERE visible=1 AND archive=0 AND "
		."id_categorie=".$id_categorie." AND oma_bien.id_bien=oma_r_type_bien.id_bien AND id_type=".$id_type ;
	}
	//echo $sql;
	$result = requeteSQL($sql);
	$tabRetour = array();
	while ($line = mysql_fetch_array($result)) {
		$tabRetour[] = intval($line[0]);
	}
	mysql_free_result($result);
	return $tabRetour;	
}

?>