<?php
# Copyright (c) 2008 MARIE Olivier. 
# Ce fichier fait partie du logiciel OMega-Annonces.
# OMega-Annonces est un logiciel libre ; vous pouvez le redistribuer et/ou le 
# modifier selon les termes de la GNU General Public License (Licence Publique 
# Gnrale GNU) telle qu'elle a t publie par la Free Software Foundation ; 
# soit la version 2 de la licence, soit (comme vous le souhaitez) toute version 
# ultrieure.
# OMega-Annonces est distribu dans l'espoir qu'il sera utile, mais SANS LA 
# MOINDRE GARANTIE ; pas mme la garantie implicite de COMMERCIABILITE ou 
# d'ADEQUATION A UN BUT PARTICULIER.
# Voir la GNU General Public License pour plus de dtails.
# Vous devriez avoir reu une copie de la GNU General Public License en mme 
# temps que ce programme; sinon, merci d'crire  la Free Software Foundation, 
# Inc, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

setlocale(LC_ALL, 'nl_NL@euro');
include("include/blocs_html.inc.php");
include("classes/Bien.class.php");
include("classes/Type.class.php");
include("classes/Photo.class.php");
include("classes/Ville.class.php");
include("classes/Attribut.class.php");
include("classes/AttrVille.class.php");
include("classes/RechAvancee.class.php");
include("include/fonctions.inc.php");

// Memorisation de la derniere operation
if(array_key_exists("boiteRechercheRapideCatVille",$_GET)) {
	$_SESSION["derniereOperation"]=array("rechRapideCatVille",intval($_GET["id_categorie"]),intval($_GET["id_ville"]));
}

debut_html();
// ------------------------ PARTIE GAUCHE DE LA PAGE ------------------------
//0:Aucune|1:Recherche rapide Catgorie/ville|2:Recherche rapide Catgorie/type|3:Recherche avance|4:Contact
echo '<table width="100%" cellspacing=0 cellpadding=10 border=0><tr><td width=200 valign=top>';

for($i=1; $i<5; $i++) {
	if(defined("BOITE_GAUCHE_".$i)) {
		switch(constant("BOITE_GAUCHE_".$i)) {
		case 1 :
			afficheBoiteRechercheRapideCatVille();
			break;
		case 2 :
			afficheBoiteRechercheRapideCatType();
			break;
		case 3 :
			afficheBoiteRechercheAvancee();
			break;
		case 4 :
			afficheBoiteContact();
			break;
		case 5 :
			afficheBoiteAlerte();
			break;
		default :
			break;
		}
	}
}

echo '<a href="admin/index.php">Administration</a></td><td valign=top>';

// ------------------------ CENTRE DE LA PAGE - AFFICHAGE PRINCIPAL ------------------------

// CALCULS
$nbBiens = Bien::nombreBiens(null,1,0);
$afficherListeIdBiens = false;
// ----------- RESULTAT RECHERCHE AVANCEE -----------
if(array_key_exists("formRechercheAvancee",$_POST)) { 
	$ra = new RechAvancee();
	$ra->lecturePost();
	$_SESSION["OMA_derniereRechAv"]=$ra;
	$listeIdBiens = $ra->recherche();
	$afficherListeIdBiens = true;
}
// ----------- RESULTAT RECHERCHE RAPIDE CATEGORIES VILLES -----------
if(array_key_exists("boiteRechercheRapideCatVille",$_GET)) {
	$listeIdBiens = rechercheBiensCatVille($_GET["id_categorie"], $_GET["id_ville"], 30);
	if(!empty($listeIdBiens)) {
		if(ORDRE_AFFICHAGE_ANNONCES==1) { // La plus rcente en haut
			rsort($listeIdBiens);
		}
		elseif(ORDRE_AFFICHAGE_ANNONCES==2) { // La plus ancienne en haut
			sort($listeIdBiens);
		}
		else { // alatoire
			shuffle($listeIdBiens);
		}
	}
	$afficherListeIdBiens = true;
}
// ----------- RESULTAT RECHERCHE RAPIDE CATEGORIES TYPES -----------
elseif(array_key_exists("boiteRechercheRapideCatType",$_GET)) {
	$listeIdBiens = rechercheBiensCatType($_GET["id_categorie"], $_GET["id_type"]);
	if(!empty($listeIdBiens)) {
		if(ORDRE_AFFICHAGE_ANNONCES==1) { // La plus rcente en haut
			rsort($listeIdBiens);
		}
		elseif(ORDRE_AFFICHAGE_ANNONCES==2) { // La plus ancienne en haut
			sort($listeIdBiens);
		}
		else { // alatoire
			shuffle($listeIdBiens);
		}
	}
	$afficherListeIdBiens = true;
}

// AFFICHAGES
echo 'Bienvenue !  Nous sommes le '.date("d").' '.$libelle_mois[intval(date("n"))].' '.date("Y")
.'. Aujourd\'hui '.($nbBiens==1?'1 bien est disponible.':$nbBiens.' biens sont disponibles.');
echo '<br>';
if(!empty($_SESSION["OMA_derniereRechAv"])) {
    echo '<a href="index.php?modifierRA=true">Rafficher vos derniers critres de recherche avance</a><br>';
}
echo '<br>';


if(array_key_exists("boiteContact",$_GET)) { // ----------- CONTACT -----------
	include("personnalisation/presentation.html");
}
elseif(array_key_exists("boiteAlerte",$_GET)) { // ----------- ALERTE -----------
	?><br>
	Choisissez des critres, et saisissez votre adresse mail.
	Vous serez inform ds qu'un nouveau produit correspondant sera mis en ligne.
	<?php
}
elseif(array_key_exists("boiteRechercheAvancee",$_GET) // ----------- RECHERCHE AVANCEE -----------
|| array_key_exists("modifierRA",$_GET)) {
	if(array_key_exists("modifierRA",$_GET)) {
		$ra = $_SESSION["OMA_derniereRechAv"];
		$id_categorie = $ra->id_categorie;
	} else {
		$id_categorie = intval($_GET["id_categorie"]);
	}
	$cat = new Categorie($id_categorie);
	$listeIdNomTypes = Type::listeIdNomTypes($id_categorie);
	$listeIdNomAttributs = Attribut::listeIdNomAttributs($id_categorie);
	?>
		<table class="formRechAvancee" width="100%">
		<tr><th>Recherche avance - Catgorie : <?php echo $cat->nom; ?></th></tr>
		<tr><td>
		<form name="formRechercheAvancee" action="<?php echo $_SERVER["PHP_SELF"]; ?>" method="POST">
		<input type="hidden" name="formRechercheAvancee" value="<?php echo $id_categorie; ?>">
		<?php
		if(!empty($listeIdNomTypes)) {
			echo '<b>Slectionnez le ou les types dsirs</b>&#160;&#160;&#160;';
			echo '<input type="button" style="font-size:90%" value="tous" onclick="';
			$html = '';
			foreach($listeIdNomTypes as $k=>$v) {
				echo 'document.formRechercheAvancee.idType_'.$k.'.checked=true;';
				$html .= '<input type="checkbox" name="idType_'.$k.'" '
				.((isset($ra) && in_array($k,$ra->id_types))?'checked':'')
				.' id="idType_'.$k.'"><label for="idType_'.$k.'">'.$v.'</label>&#160;&#160; &#160;';
			}
			echo '"><br>'.$html.'<br>';
		}
		?>
		<br>
		<table width="100%" class="formRechAvanceeAttributs">
		<tr><th colspan=2>Attributs (laisser vide si indiffrent)</th></tr>
		<tr><td width="50%" nowrap>
			<?php
			$html = '';
			$i=0;
			foreach($listeIdNomAttributs as $k=>$v) {
				if($v[2]==2) { // Boolen
					$html .= '<input type="checkbox" name="idAttribut_'.$k.'" '
					.((isset($ra) && array_key_exists($k,$ra->id_attributs))?'checked':'')
					.' id="idAttribut_'.$k.'">'
					.'<label for="idAttribut_'.$k.'">'.$v[0].'</label>';
				} 
				elseif($v[2]==1) { // Nombre
					$html .= $v[0].'&#160;<select style="font-size:90%" name="idAttribut_'.$k.'_minmax" >'
					.'<option value="mini" '
					.((isset($ra) && array_key_exists($k,$ra->id_attributs) && $ra->id_attributs[$k][0]=="mini")?'selected':'')
					.'>au minimum</option>'
					.'<option value="maxi" '
					.((isset($ra) && array_key_exists($k,$ra->id_attributs) && $ra->id_attributs[$k][0]=="maxi")?'selected':'')
                    .'>au maximum</option></select>&#160;'
					.'<input size="10" type="text" style="font-size:90%" name="idAttribut_'.$k.'" '
					.((isset($ra) && array_key_exists($k,$ra->id_attributs))?'value="'.$ra->id_attributs[$k][1].'"':'').'>';
				}
	            $i++;
	            if($i==intval((1+sizeof($listeIdNomAttributs))/2)) {
	                $html .= '</td><td width="50%" nowrap valign=top>';
	            } else {
	            	$html .= '<br>';
	            }
			}
			echo $html;
			?>
		</td></tr></table>
		<br>
		<table class="vide" border=1 width="100%"><tr><td valign="top">
			<b>Situ  :</b> &#160; &#160;
			<input type="button" value="toutes" style="font-size:90%" onclick="<?php
			$listeIdNomVilles = Ville::listeIdNomVilles();
			$checkVille = array();
			foreach($listeIdNomVilles as $k=>$v) {
			    echo 'document.formRechercheAvancee.idVille_'.$k.'.checked=true;';
				$checkVille[] = '<input type="checkbox" name="idVille_'.$k.'" '
				    .'id="idVille_'.$k.'" '
					.((isset($ra) && in_array($k,$ra->id_villes))?'checked':'')
					.'><label for="idVille_'.$k.'">'.$v.'</label>&#160;';
			}
			?>">
			<input type="checkbox" name="auxEnvirons" id="auxEnvirons"
			<?php
			echo ((isset($ra) && $ra->auxEnvirons)?' checked':'');
			?>><label for="auxEnvirons">Rechercher aussi aux alentours des villes slectionnes</label><br>
			<table class="vide">
			<?php
			while((sizeof($checkVille)&3)!=0) {
				$checkVille[] = '&#160;';
			}
			$html = '';
			$i=0;
			foreach($checkVille as $item) {
				if(($i&3)==0) {
					$html .= '<tr>';
				}
				$html .= '<td>'.$item.'</td>';
				if(($i&3)==3) {
					$html .= '</tr>';
				}
				$i++;
			}
			echo $html;
			?></table>
			</td></tr>
		</table>
		<br>
		<br>
		<table width="100%" class="formRechAvanceeAttributs"><tr><th colspan=2 bgcolor="#ff0000">Services sur place ou  proximit (laisser vide si indiffrent)</th></tr>
		<tr><td width="50%" nowrap>
			<?php
			$listeIdNomAttrVille = AttrVille::listeIdNomAttrVille();
			$html = '';
			$i=0;
			foreach($listeIdNomAttrVille as $k=>$v) {
				$html .= '<input type="checkbox" id="idAttrVille_'.$k.'" name="idAttrVille_'.$k.'"'
				.((isset($ra) && in_array($k,$ra->id_attributsVille))?' checked':'').'>'
				.'<label for="idAttrVille_'.$k.'">&#160;'.$v[0].'</label>';
	            $i++;
	            if($i==intval((1+sizeof($listeIdNomAttrVille))/2)) {
	                $html .= '</td><td width="50%" nowrap valign="top">';
	            } else {
	            	$html .= '<br>';
	            }
			}
			echo $html;
			?>
		</td></tr></table>
		<p align="center"><input type="button" value="Rechercher" onclick="<?php
		if(!empty($listeIdNomTypes)) {
			echo 'if(true';
			foreach($listeIdNomTypes as $k=>$v) {
				echo ' && document.formRechercheAvancee.idType_'.$k.'.checked==false';
			}
			echo ') { alert(\'Slectionnez au moins un type\'); } else { document.formRechercheAvancee.submit(); }';
		} else {
			echo 'document.formRechercheAvancee.submit();';
		}
		?>"></p>
		</form>
		</td></tr>
		</table>
	<br>
	<?php
}
elseif(array_key_exists("detail",$_GET)) {
	if(!empty($_SESSION["OMA_derniereListeBiensAffiches"])) {
		echo '<a href="index.php?affichageDerniereListe=true">Retour  la liste</a>';
	}
	echo '<br><br>';
	afficheAnnonceDetail($_GET["detail"]);
}
elseif(array_key_exists("affichageDerniereListe",$_GET) || $afficherListeIdBiens) {
	if(array_key_exists("affichageDerniereListe",$_GET)) {
        $listeIdBiens = $_SESSION["OMA_derniereListeBiensAffiches"];
    } else {
        $_SESSION["OMA_derniereListeBiensAffiches"] = $listeIdBiens;
    }
	if(empty($listeIdBiens)) {
		echo '<br>Aucun bien ne correspond  votre recherche.<br>';
	}
	else {
		echo (sizeof($listeIdBiens)==1?'1 bien correspond':sizeof($listeIdBiens).' biens correspondent')
		.'  votre recherche.<br><br>';
		foreach($listeIdBiens as $item) {
			afficheAnnonce($item);
			echo "<br>";
		}
	}
}
else { // page par dfaut
	// dveloppement complet d'une catgorie
	if(array_key_exists("develCat",$_GET)) {
		$categorie = new Categorie(intval($_GET["develCat"]));
		echo '<table width="100%"><tr><th class="separateur"><font color="black">'
		.$categorie->nom.'&nbsp;&nbsp;&gt;&gt;</font></th></tr></table><br>';
		if(!empty($categorie->id_categorie)) {
			$listeIdBiens = Bien::listeIdBiens($categorie->id_categorie,1,0);
			if(ORDRE_AFFICHAGE_ANNONCES==1) { // La plus rcente en haut
				rsort($listeIdBiens);
			}
			elseif(ORDRE_AFFICHAGE_ANNONCES==2) { // La plus ancienne en haut
				sort($listeIdBiens);
			}
			else { // alatoire
				shuffle($listeIdBiens);
			}
			$_SESSION["OMA_derniereListeBiensAffiches"] = $listeIdBiens;
			foreach($listeIdBiens as $item) {
				afficheAnnonce($item);
			}
		}
	}
	else {
		// affichage alatoire de quelques biens de quelques catgories, en priorit les biens "coup de coeur"
		$listeTousIdBiens = Bien::listeIdBiens(null,1,0);
		if(ORDRE_AFFICHAGE_ANNONCES==1) { // La plus rcente en haut
			rsort($listeTousIdBiens);
		}
		elseif(ORDRE_AFFICHAGE_ANNONCES==2) { // La plus ancienne en haut
			sort($listeTousIdBiens);
		}
		else { // alatoire
			shuffle($listeTousIdBiens);
		}
		/*
		else { // Tout les coups de coeurs avant, puis alatoirement le reste
			$listeIdBiens = Bien::listeIdBiens(null,1,0,1);
			if(sizeof($listeIdBiens)<NB_ANNONCES_ACCUEIL) {
				$listeAutres = Bien::listeIdBiens(null,1,0,0);
				shuffle($listeAutres);
				if(sizeof($listeAutres)>(NB_ANNONCES_ACCUEIL-sizeof($listeIdBiens))) {
					$listeAutres = array_slice($listeAutres, 0, NB_ANNONCES_ACCUEIL-sizeof($listeIdBiens));
				}
				$listeIdBiens = array_merge($listeTousIdBiens,$listeAutres);
			}
		}*/

		$listeAnnoncesAffichees = array();
		for($i=0;$i<min(NB_ANNONCES_ACCUEIL, sizeof($listeTousIdBiens));$i++) {
			$id_bien = $listeTousIdBiens[$i];
			$bien = new Bien($id_bien);
			if(!array_key_exists($bien->id_categorie, $listeAnnoncesAffichees)) {
				$listeAnnoncesAffichees[$bien->id_categorie] = array($id_bien);
			}
			else {
				$listeAnnoncesAffichees[$bien->id_categorie][] = $id_bien;
			}
		}
	    
	    $listeIdBiensAffiches = array();
    	foreach($listeAnnoncesAffichees as $idCat=>$listeTousIdBiens) {
    		$categorie = new Categorie($idCat);
    		echo '<table width="100%"><tr><th class="separateur"><a href="index.php?develCat='.$idCat.'">'
    		.'<font color="black">'.$categorie->nom.'&nbsp;&nbsp;&gt;&gt;</font></a></th></tr></table>';
    
    		foreach($listeTousIdBiens as $idBien) {
    		$listeIdBiensAffiches[] = $idBien;
    			afficheAnnonce($idBien);
    		}
    		echo '<br>';
    	}
    	$_SESSION["OMA_derniereListeBiensAffiches"] = $listeIdBiensAffiches;
    }
}

// ------------------------ PARTIE DROITE DE LA PAGE ------------------------
echo '</td><td width=200 valign=top>';
//0:Aucune|1:Recherche rapide Catgorie/ville|2:Recherche rapide Catgorie/type|3:Recherche avance|4:Contact

for($i=1; $i<5; $i++) {
	if(defined("BOITE_DROITE_".$i)) {
		switch(constant("BOITE_DROITE_".$i)) {
		case 1 :
			afficheBoiteRechercheRapideCatVille();
			break;
		case 2 :
			afficheBoiteRechercheRapideCatType();
			break;
		case 3 :
			afficheBoiteRechercheAvancee();
			break;
		case 4 :
			afficheBoiteContact();
			break;
		case 5 :
			afficheBoiteAlerte();
			break;
		default :
			break;
		}
	}
}


echo '</td></tr></table>';

fin_html();
if(empty($_SERVER["REQUEST_URI"])) {
	$_SESSION["OMA_urlPageCourante"] = null;
}
else {
	$_SESSION["OMA_urlPageCourante"] = $_SERVER["REQUEST_URI"];
}
?>