-- phpMyAdmin SQL Dump
-- version 2.11.2.1
-- http://www.phpmyadmin.net
--
-- Serveur: localhost
-- Gnr le : Jeu 15 Novembre 2007  22:17
-- Version du serveur: 5.0.45
-- Version de PHP: 5.2.5

--
-- Base de donnes: `oma_db`
--

-- --------------------------------------------------------

--
-- Structure de la table `oma_administrateur`
--

CREATE TABLE `oma_administrateur` (
  `id_administrateur` int(11) NOT NULL auto_increment,
  `identifiant` varchar(20) NOT NULL default '',
  `mot_de_passe` varchar(50) NOT NULL default '',
  `adresse_mail` varchar(60) NOT NULL default '',
  `niveau` tinyint(4) NOT NULL default '0',
  `id_categorie` smallint(6) default NULL,
  PRIMARY KEY  (`id_administrateur`)
) ENGINE=MyISAM  AUTO_INCREMENT=2 ;

--
-- Contenu de la table `oma_administrateur`
--

INSERT INTO `oma_administrateur` (`id_administrateur`, `identifiant`, `mot_de_passe`, `adresse_mail`, `niveau`, `id_categorie`) VALUES
(1, 'admin', '21232f297a57a5a743894a0e4a801fc3', '', 1, 0);

-- --------------------------------------------------------

--
-- Structure de la table `oma_attribut`
--

CREATE TABLE `oma_attribut` (
  `id_attribut` int(11) NOT NULL auto_increment,
  `id_categorie` smallint(6) NOT NULL default '0',
  `nom` varchar(64) NOT NULL default '',
  `nom_court` varchar(32) NOT NULL default '',
  `format` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id_attribut`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

--
-- Contenu de la table `oma_attribut`
--


-- --------------------------------------------------------

--
-- Structure de la table `oma_attr_ville`
--

CREATE TABLE `oma_attr_ville` (
  `id_attr_ville` int(11) NOT NULL auto_increment,
  `nom` varchar(64) NOT NULL default '',
  `nom_court` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id_attr_ville`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

--
-- Contenu de la table `oma_attr_ville`
--


-- --------------------------------------------------------

--
-- Structure de la table `oma_bien`
--

CREATE TABLE `oma_bien` (
  `id_bien` int(11) NOT NULL auto_increment,
  `id_categorie` smallint(6) NOT NULL default '0',
  `id_ville` int(11) NOT NULL default '0',
  `adresse` text,
  `accroche` varchar(50) default NULL,
  `description` text,
  `date_creation` date NOT NULL default '0000-00-00',
  `visible` tinyint(1) NOT NULL default '1',
  `archive` tinyint(1) NOT NULL default '0',
  `best` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id_bien`),
  FULLTEXT KEY `adresse` (`adresse`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

--
-- Contenu de la table `oma_bien`
--


-- --------------------------------------------------------

--
-- Structure de la table `oma_categorie`
--

CREATE TABLE `oma_categorie` (
  `id_categorie` smallint(6) NOT NULL auto_increment,
  `nom` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id_categorie`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

--
-- Contenu de la table `oma_categorie`
--


-- --------------------------------------------------------

--
-- Structure de la table `oma_configuration`
--

CREATE TABLE `oma_configuration` (
  `parametre` varchar(30) NOT NULL default '',
  `valeur` text,
  PRIMARY KEY  (`parametre`)
) ENGINE=MyISAM ;

--
-- Contenu de la table `oma_configuration`
--

INSERT INTO `oma_configuration` (`parametre`, `valeur`) VALUES
('LOG_ERREURS', '1'),
('PS_LOGO', 'logo.png'),
('PS_LOGO_ARRIEREPLAN', 'fond_bandeau.png'),
('TAILLE_MAXI_PHOTO_KO', '2000'),
('LARGEUR_MAXI_PHOTO', '500'),
('HAUTEUR_MAXI_PHOTO', '500'),
('TAILLE_MAXI_VIGNETTE', '80'),
('PS_TITRE_SITE', 'Bienvenue sur Tal'' Immobilier'),
('PS_NOM_SOCIETE', 'TAL'' IMMOBILIER'),
('PS_SLOGAN_SOCIETE', 'ACHAT - VENTE - CONSTRUCTION'),
('PS_TEXTE_BOITE_CONTACT', 'Toute l''quipe de <b>Tal'' Immobilier</b> vous accueille<br>44 avenue des platanes 12354 St DURANT<br>Tl. : 11 22 33 44 55'),
('NB_ANNONCES_ACCUEIL', '6'),
('ORDRE_AFFICHAGE_ANNONCES', '1'),
('BOITE_GAUCHE_1', '1'),
('BOITE_GAUCHE_2', '3'),
('BOITE_GAUCHE_3', '0'),
('BOITE_DROITE_1', '4'),
('BOITE_DROITE_2', '0'),
('BOITE_DROITE_3', '0');

-- --------------------------------------------------------

--
-- Structure de la table `oma_photo`
--

CREATE TABLE `oma_photo` (
  `id_bien` int(11) NOT NULL default '0',
  `numero` tinyint(4) NOT NULL auto_increment,
  `nom_fichier` varchar(254) NOT NULL default '',
  `description` varchar(255) default NULL,
  `date_upload` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`id_bien`,`numero`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

--
-- Contenu de la table `oma_photo`
--


-- --------------------------------------------------------

--
-- Structure de la table `oma_r_attribut`
--

CREATE TABLE `oma_r_attribut` (
  `id_bien` int(11) NOT NULL default '0',
  `id_attribut` int(11) NOT NULL default '0',
  `valeur` int(11) default NULL,
  PRIMARY KEY  (`id_bien`,`id_attribut`)
) ENGINE=MyISAM ;

--
-- Contenu de la table `oma_r_attribut`
--


-- --------------------------------------------------------

--
-- Structure de la table `oma_r_attr_ville`
--

CREATE TABLE `oma_r_attr_ville` (
  `id_ville` int(11) NOT NULL default '0',
  `id_attr_ville` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id_ville`,`id_attr_ville`)
) ENGINE=MyISAM ;

--
-- Contenu de la table `oma_r_attr_ville`
--


-- --------------------------------------------------------

--
-- Structure de la table `oma_r_type_bien`
--

CREATE TABLE `oma_r_type_bien` (
  `id_bien` int(2) NOT NULL default '0',
  `id_type` int(2) NOT NULL default '0',
  PRIMARY KEY  (`id_bien`,`id_type`)
) ENGINE=MyISAM ;

--
-- Contenu de la table `oma_r_type_bien`
--


-- --------------------------------------------------------

--
-- Structure de la table `oma_type`
--

CREATE TABLE `oma_type` (
  `id_type` int(11) NOT NULL auto_increment,
  `id_categorie` smallint(6) NOT NULL default '0',
  `nom` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id_type`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

--
-- Contenu de la table `oma_type`
--


-- --------------------------------------------------------

--
-- Structure de la table `oma_ville`
--

CREATE TABLE `oma_ville` (
  `id_ville` int(11) NOT NULL auto_increment,
  `nom` varchar(255) NOT NULL default '',
  `code_postal` varchar(5) default NULL,
  PRIMARY KEY  (`id_ville`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

--
-- Contenu de la table `oma_ville`
--


-- --------------------------------------------------------

--
-- Structure de la table `oma_ville_proche_de`
--

CREATE TABLE `oma_ville_proche_de` (
  `id_ville1` int(11) NOT NULL default '0',
  `id_ville2` int(11) NOT NULL default '0',
  `distance` int(11) default NULL,
  PRIMARY KEY  (`id_ville1`,`id_ville2`)
) ENGINE=MyISAM ;

--
-- Contenu de la table `oma_ville_proche_de`
--

