<?php
include("include/blocs_html_admin.inc.php");
include("include/fonctions_admin.inc.php");
include("../classes/Attribut.class.php");
connexionBase();
controleAuth();
$phpSelf = $_SERVER["PHP_SELF"];
if($_SESSION["OMA_administrateur"]->niveau >2) exit("vous n'avez pas les droits pour accder  cette page");

debut_html();
echo '<div id="adminCentre"><h2>Gestion des attributs des biens</h2>';

// Gestion categorie : retour du formulaire.
Categorie::retourFormulaireSelection();

if(empty($listeIdNomCategories)) {
	echo "Aucune catgorie n'est dfinie.<br>Vous devez tout d'abord dfinir une catgorie pour y insrer des attributs.";
	fin_html(); deconnexionBase(); exit;
}



// -----------------------------------------------------------------------------------------------------------------
// RETOUR FORMULAIRE CREATION/MODIFICATION ---------------------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("retour_form",$_POST)) {
	if(!empty($_POST["nom_attribut"])) {
		$tmpAttribut = new Attribut($_POST["id_attribut"]);
		
		// nouvel attribut : on positionne la catgorie courante et le format.
		if(empty($tmpAttribut->id_attribut)) {
			$tmpAttribut->id_categorie = $id_categorie;
			$tmpAttribut->format = intval($_POST["format"]);
		}

		$tmpAttribut->nom = stripslashes($_POST["nom_attribut"]);
		if(!empty($_POST["nom_attribut_court"])) {
		    $tmpAttribut->nom_court = stripslashes($_POST["nom_attribut_court"]);
		}
		
		$tmpAttribut->ecriture();
	}
}

// -----------------------------------------------------------------------------------------------------------------
// RETOUR SUPPRESSION ---------------------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("supprimer",$_GET)) {
	if(!empty($_GET["supprimer"]) && is_numeric($_GET["supprimer"])) {
		$tmpAttribut = new Attribut($_GET["supprimer"]);
		$tmpAttribut->suppression();
	}
}


// -----------------------------------------------------------------------------------------------------------------
// -----------------------------------------------------------------------------------------------------------------

// Gestion categorie : affichage du formulaire.
Categorie::formulaireSelection();

// -----------------------------------------------------------------------------------------------------------------
// ---------------------- FORMULAIRE DE CREATION-MODIFICATION ------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("nouveau",$_GET) || array_key_exists("modifier",$_GET)) {
	$tmpIdAttribut = null;
	if(array_key_exists("modifier",$_GET)) {
		$tmpIdAttribut = $_GET["modifier"];
	}
	$tmpAttribut = new Attribut($tmpIdAttribut);
	
	?><form name="form_attribut" action="<?php echo $phpSelf; ?>" method="POST">
	<input type="hidden" name="retour_form" value="1">
	<input type="hidden" name="id_attribut" value="<?php echo $tmpIdAttribut; ?>">
	<table class="pliste">
		<tr><th colspan=2>Cration/Modification d'un attribut</th></tr>
		<tr><td>Nom<font color=red>*</font></td>
			<td><input type="text" name="nom_attribut" size=30 value="<?php echo htmlentities($tmpAttribut->nom); ?>"></td></tr>
		<tr><td>Nom court</td>
			<td><input type="text" name="nom_attribut_court" size=20 value="<?php echo $tmpAttribut->nom_court; ?>"></td></tr>
		<tr><td>Type</td>
			<td>
			<?php
			if(array_key_exists("modifier",$_GET)) {
				if($tmpAttribut->format == 1 ) {
					echo 'Nombre';
				} else {
					echo 'Boolen';
				}
			}
			else  {
				?>
				<input type="radio" name="format_nombre" id="format_nombre"><label for="format_nombre">nombre</label>
				<input type="radio" name="format_booleen" id="format_booleen"><label for="format_booleen">boolen</label>
				<?php
			}
			?>
			</td></tr>
	</table>
	<font color=red>* champ obligatoire</font><br>
	<br>
	<input type="button" value="enregistrer" 
    	    onclick="if(document.form_attribut.format_nombre.checked || document.form_attribut.format_booleen.checked) 
    	    {document.form_attribut.submit();} 
    	    else {alert('Vous devez choisir le format');}" >
	<input type="button" value="abandonner" onclick="document.location.href='<?php echo $phpSelf; ?>';">
	</form>
	<script language="javascript" type="text/javascript">
		setTimeout("document.form_attribut.nom_attribut.focus()",1);
	</script>
	<hr>
	<?php
}
else {
	echo "<input type='button' value='Nouvel attribut' "
				."onclick=\"document.location.href='".$phpSelf."?nouveau=1';\">";
}



// -----------------------------------------------------------------------------------------------------------------
// AFFICHAGE DE LA LISTE DES ATTRIBUTS -------------------------------------------------
// -----------------------------------------------------------------------------------------------------------------
$idAttributs = Attribut::listeIdAttribut($id_categorie);


?><br>
<br>
<table class="pliste">
	<tr><th>Attributs rpertoris</th><th>Nom court</th><th>Type</th><th></th></tr>
	<?php
	if(empty($idAttributs)) {
		echo "<tr><td colspan=4>Aucun Attribut</td></tr>";
	} else {
		$html = '';
		$i = 0;
		foreach($idAttributs as $id_attribut) {
			$Attribut = new Attribut($id_attribut);
			$html .= '<tr class="gris'.($i&1).'1">'
			.'<td><font size=2><b><a href="'.$phpSelf.'?modifier='.$id_attribut.'">'.$Attribut->nom.'</a> </b></font></td>'
			.'<td><font size=1>'.$Attribut->nom_court.'</font></td>'
			.'<td><font size=1>'.($Attribut->format==1?'numerique':'booleen').'</font></td>'
			.'<td>'
			.'<input type="button" value="Supprimer" '
			.'onclick="if (window.confirm(\'Confirmez-vous la suppression de '
			.str_replace("'","\'",htmlspecialchars($Attribut->nom,ENT_COMPAT))
			.' ?\')) {document.location.href=\''.$phpSelf.'?supprimer='.$id_attribut.'\';}">'
			
			.'</td>'
			.'</tr>';
			$i++;
		}
		echo $html;
	}
	?>
</table>
</div>
<?php
fin_html();
deconnexionBase();
?>