<?php
# Copyright (c) 2008 MARIE Olivier. 
# Ce fichier fait partie du logiciel OMega-Annonces.
# OMega-Annonces est un logiciel libre ; vous pouvez le redistribuer et/ou le 
# modifier selon les termes de la GNU General Public License (Licence Publique 
# Gnrale GNU) telle qu'elle a t publie par la Free Software Foundation ; 
# soit la version 2 de la licence, soit (comme vous le souhaitez) toute version 
# ultrieure.
# OMega-Annonces est distribu dans l'espoir qu'il sera utile, mais SANS LA 
# MOINDRE GARANTIE ; pas mme la garantie implicite de COMMERCIABILITE ou 
# d'ADEQUATION A UN BUT PARTICULIER.
# Voir la GNU General Public License pour plus de dtails.
# Vous devriez avoir reu une copie de la GNU General Public License en mme 
# temps que ce programme; sinon, merci d'crire  la Free Software Foundation, 
# Inc, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

include("include/blocs_html_admin.inc.php");
include("include/fonctions_admin.inc.php");
include("../classes/Bien.class.php");
include("../classes/Photo.class.php");
connexionBase();
controleAuth();

debut_html();
echo '<div id="adminCentre"><h2>Gestion des photos</h2>';

if(!array_key_exists("id_bien",$_GET)) {
	if(!array_key_exists("id_bien",$_POST)) {
		exit;
	} else {
		$id_bien = $_POST["id_bien"];
	}
} else {
	$id_bien = $_GET["id_bien"];
}

// -----------------------------------------------------------------------------------------------------------------
// RETOUR FORMULAIRE CREATION/MODIFICATION ---------------------------------------------
// -----------------------------------------------------------------------------------------------------------------
$afficherForm = false;
if( array_key_exists("retour_form",$_POST) ) {

	if(empty($_POST["numero"]) && empty($_FILES['fichierPhoto']['name'])) {
		$formMessErreur = "Erreur, photo non slectionne.";
		$afficherForm = true;
	} else {
		$tmpPhoto = new Photo($id_bien, $_POST["numero"]);
		$tmpPhoto->id_bien = $id_bien;

		if(empty($_FILES['fichierPhoto']['name'])) { // pas de photo slectionne : modification description
			if(empty($_POST["description"])) {
	        	$tmpPhoto->description = null;
			} else {
				if (get_magic_quotes_gpc()) {
					$tmpPhoto->description = stripslashes($_POST["description"]);
				} else {
					$tmpPhoto->description = $_POST["description"];
				}
	        }
	        $tmpPhoto->ecriture();
		} 
		else {
		    if($_FILES["fichierPhoto"]["error"]==UPLOAD_ERR_FORM_SIZE) {
		        $formMessErreur = "Le fichier n'a pas t tlcharg.<br>"
		        ."Vrifiez que sa taille n'excde pas ".TAILLE_MAXI_PHOTO_KO." Ko.";
		        $afficherForm = true;
		    }
		    else {
		        $tmp_file = $_FILES['fichierPhoto']['tmp_name'];
		        if( !is_uploaded_file($tmp_file) ) {
		            $formMessErreur = "Le fichier n'a pas t tlcharg.";
		            $afficherForm = true;
		        }
		        else {
		            $tmpPhoto->nom_fichier = "tmp";
					if(empty($_POST["description"])) {
			        	$tmpPhoto->description = null;
					} else {
						if (get_magic_quotes_gpc()) {
							$tmpPhoto->description = stripslashes($_POST["description"]);
						} else {
							$tmpPhoto->description = $_POST["description"];
						}
			        }
			        $tmpPhoto->ecriture(); // on crit les donnes en base avant le transfert du fichier
			        						// pour que la BDD nous retourne le numro d'ordre
			        						
		        	$uploadDir = "../photos/";
					$uploadFile = basename($_FILES['fichierPhoto']['name']);
		            /*$uploadFile= strtr($uploadFile,
		                    "",
		                    "AAAAAAaaaaaaOOOOOOooooooEEEEeeeeCcIIIIiiiiUUUUuuuuyNn"); 
					$uploadFile = ereg_replace("[^a-zA-Z0-9.-]", "_", $uploadFile);*/
					$pointPos = strrpos($uploadFile, ".");
					if ($pointPos === false) {
				        $tmpPhoto->suppression();
						exit("Le nom de ce fichier ne comporte pas d'extension");
					}

					$extension = strtolower(substr($uploadFile,$pointPos+1));
					if($extension!="jpg" && $extension!="jpeg" && 
					$extension!="gif" && $extension!="png") {
				        $tmpPhoto->suppression();
						exit("Le format doit tre JPEG, GIF ou PNG");
					}
                    $uploadFile = $tmpPhoto->id_bien."_".$tmpPhoto->numero.".".$extension;
                    //$tmpPhoto->nom_fichier = $uploadFile;
                    
					if(!move_uploaded_file($_FILES['fichierPhoto']['tmp_name'], $uploadDir.$uploadFile)) {
					   	echo '<pre>';
					   	echo "Erreur tlchargement de fichier<br>";
					   	print_r($_FILES);
						echo '</pre>';
				        $tmpPhoto->suppression();  // on supprime l'enregistrement en BDD
						exit;
					}

					// REDIMENSIONNEMENT EVENTUEL DE L'IMAGE
					$max_x = LARGEUR_MAXI_PHOTO;
					$max_y = HAUTEUR_MAXI_PHOTO;
					switch ($extension) {
					   case 'jpg' : 
					   case 'jpeg': $im  = imagecreatefromjpeg ($uploadDir.$uploadFile); break;
					   case 'gif' : $im  = imagecreatefromgif  ($uploadDir.$uploadFile); break;
					   case 'png' : $im  = imagecreatefrompng  ($uploadDir.$uploadFile); break;
					}
					$x = imagesx($im);
					$y = imagesy($im);
					
					// rduction de la taille si ncessaire
					if($x>$max_x || $y>$max_y) {
						if (($max_x/$max_y) < ($x/$y)) {
						   $save = imagecreatetruecolor($x/($x/$max_x), $y/($x/$max_x));
						}
						else {
						   $save = imagecreatetruecolor($x/($y/$max_y), $y/($y/$max_y));
						}
						imagecopyresampled($save, $im, 0, 0, 0, 0, imagesx($save), imagesy($save), $x, $y);
						
						switch ($extension) {
						   case 'jpg' : 
						   case 'jpeg': imagejpeg ($save, $uploadDir.$uploadFile); break;
						   case 'gif' : imagegif  ($save, $uploadDir.$uploadFile); break;
						   case 'png' : imagepng  ($save, $uploadDir.$uploadFile); break;
						}
						//imagepng($save, $uploadDir.$tmpPhoto->id_bien."_".$tmpPhoto->numero.".png");
						imagedestroy($im);
						imagedestroy($save);
					}

					// CREATION DE LA VIGNETTE
					$max_x = TAILLE_MAXI_VIGNETTE;
					$max_y = TAILLE_MAXI_VIGNETTE;
					switch ($extension) {
					   case 'jpg' : 
					   case 'jpeg': $im  = imagecreatefromjpeg ($uploadDir.$uploadFile); break;
					   case 'gif' : $im  = imagecreatefromgif  ($uploadDir.$uploadFile); break;
					   case 'png' : $im  = imagecreatefrompng  ($uploadDir.$uploadFile); break;
					}
					
					$x = imagesx($im);
					$y = imagesy($im);
					
					if (($max_x/$max_y) < ($x/$y)) {
					   $save = imagecreatetruecolor($x/($x/$max_x), $y/($x/$max_x));
					}
					else {
					   $save = imagecreatetruecolor($x/($y/$max_y), $y/($y/$max_y));
					}
					imagecopyresampled($save, $im, 0, 0, 0, 0, imagesx($save), imagesy($save), $x, $y);
					
					imagepng($save, $uploadDir."vignettes/".$tmpPhoto->id_bien."_".$tmpPhoto->numero.".png");
					imagedestroy($im);
					imagedestroy($save);


					// SAUVEGARDE EN BASE DE DONNEES
					
		            // $tmpPhoto->type_mime = $_FILES['fichierPhoto']['type'];
		            // $tmpPhoto->taille = $_FILES['fichierPhoto']['size'];
		            // $tmpPhoto->nom_upload = $uploadFile;
		            $tmpPhoto->nom_fichier = $uploadFile;
			        $tmpPhoto->ecriture();
				}
			}
		}
				

    }
}

// -----------------------------------------------------------------------------------------------------------------
// RETOUR SUPPRIMER ---------------------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("supprimer",$_GET)) {
	$tmpPhoto = new Photo($id_bien,$_GET["supprimer"]);
	if(empty($tmpPhoto->numero)) {
		exit("Photo introuvable");
	}
	$tmpPhoto->suppression();
}


// -----------------------------------------------------------------------------------------------------------------
// ---------------------- FORMULAIRE DE CREATION-MODIFICATION ------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("nouveau",$_GET) || array_key_exists("modifier",$_GET) || $afficherForm) {

	$tmpNumero = null;
	if(array_key_exists("modifier",$_GET)) {
		$tmpNumero = $_GET["modifier"];
		$tmpPhoto = new Photo($id_bien, $tmpNumero);
	}
	else {
		$tmpPhoto = new Photo();
		$tmpPhoto->id_bien = $id_bien;
	}

	if(!empty($formMessErreur)) echo '<div id="messageErreur">'.$formMessErreur.'</div>';
	?>
	<form name="form_photo" action="gestion_photos.php" enctype="multipart/form-data" method="POST">
	<input type="hidden" name="retour_form" value="1">
	<input type="hidden" name="id_bien" value="<?php echo $id_bien; ?>">
	<input type="hidden" name="numero" value="<?php echo $tmpNumero; ?>">

	<table class="pliste"><tr><th colspan=2>Ajout/modification d'une photo</th></tr>
    <tr><td><b>Photo&nbsp;</b></td>
    	<td><input type="hidden" name="MAX_FILE_SIZE" value="<?php echo (TAILLE_MAXI_PHOTO_KO*1024); ?>">
		<?php
    	if(is_null($tmpNumero)) {
    		echo '<input type="file" name="fichierPhoto" size="60">';
    	} else {
    		echo '<b>'.$tmpPhoto->nom_fichier.'</b><br>Remplacer par : <input type="file" name="fichierPhoto" size="40">';
    	}
    	?></td>
    </tr>
    <tr><td valign=top><b>Description</b> (facultatif)</td>
    	<td><input type="text" size="50" name="description" <?php
    	if(!is_null($tmpNumero) && !empty($tmpPhoto->description)) {
    		echo 'value="'.ereg_replace(CHR(34),"&#34;",$tmpPhoto->description).'"'; 
    	}
    	?>></td>
    </tr>
    <tr><td colspan=2 align=center><input type="submit" value="enregistrer">&#160;
    <input type="button" onclick="document.location.href='gestion_photos.php?id_bien=<?php echo $id_bien; ?>';" value="abandonner">
    </td></tr>
    </table>
	</form>
	<br>
	<?php
}
else {
	?>
	<input type="button" value="Nouvelle photo" 
	onclick="document.location.href='gestion_photos.php?id_bien=<?php echo $id_bien; ?>&nouveau=1';">&nbsp;
	<input type="button" value="retour" onclick="document.location.href='gestion_biens.php';">
	<?php
}


// -----------------------------------------------------------------------------------------------------------------
// AFFICHAGE DE LA LISTE DES PHOTOS -------------------------------------------------
// -----------------------------------------------------------------------------------------------------------------
$listeNumeros = Photo::listeNumeros($id_bien);

?>
<br><br>
<?php

if(empty($listeNumeros)) {
	echo 'Aucune photo pour le bien n'.$id_bien;
}
else {
	define("NBPARCOL",2);
	$html = '<table cellspacing=3 cellpadding=0 border=0 width="100%">';
	for($i=0;$i<(NBPARCOL*(1+intval(sizeof($listeNumeros)/NBPARCOL)));$i++) {
		if(NBPARCOL*intval($i/NBPARCOL)==$i) {
			$html .= "<tr>";
		}
		$html.= "<td valign=top align=center width='".(intval(100/NBPARCOL))."%'>";
	
		if($i<sizeof($listeNumeros)) {
			$item = new Photo($id_bien, $listeNumeros[$i]);
			// 		<tr><th>photo</th><th>Nom du fichier</th><th>Description</th><th>Date de chargement</th></tr>
	
	    	$html.='<table width="100%" border=0>'
	    		.'<tr><th>Photo '.$item->numero.'</th></tr>'
		    	.'<tr><td align="center"><img alt="photo" border=0 src="../photos/'.$item->nom_fichier.'"></td></tr>'
		    	.'<tr><td align="center">'
				.'<input type="button" onclick="document.location.href=\'gestion_photos.php?id_bien='.$id_bien
				.'&amp;modifier='.$item->numero.'\';" value="Modifier">&#160;'
				.'<input type="button" value="Supprimer" '
				.'onclick="if (window.confirm(\'Voulez-vous vraiment supprimer cette photo ?\')) '
				.'{document.location.href=\'gestion_photos.php?id_bien='.$id_bien
				.'&amp;supprimer='.$item->numero.'\'};" >'
				.'</td></tr>';
	
	    	if(!empty($item->description)) {
	    		$html .= '<tr><td>'.htmlspecialchars(stripslashes($item->description), ENT_QUOTES).'</td></tr>';
	    	}
		    	    	
	    	$html.= '</table>';
	    } else {
	    	$html.= '&nbsp;';
	    }
		
		$html .= '</td>';
		if(NBPARCOL*intval(($i+1)/NBPARCOL)==($i+1)) {
			$html .= '</tr>';
		}
	}
	echo $html.'</table><br><input type="button" value="retour" '
	.'onclick="document.location.href=\'gestion_biens.php\';">';
}

echo '</div>';
fin_html();
deconnexionBase();

?>