<?php
include("include/blocs_html_admin.inc.php");
include("include/fonctions_admin.inc.php");
include("../classes/Type.class.php");
connexionBase();
controleAuth();
$phpSelf = $_SERVER["PHP_SELF"];
if($_SESSION["OMA_administrateur"]->niveau >2) exit("vous n'avez pas les droits pour accder  cette page");

debut_html();
echo '<div id="adminCentre"><h2>Liste des types de biens</h2>';

// Gestion categorie : retour du formulaire.
Categorie::retourFormulaireSelection();

if(empty($listeIdNomCategories)) {
	echo "Aucune catgorie n'est dfinie.<br>Vous devez tout d'abord dfinir une catgorie pour y insrer des types.";
	fin_html(); deconnexionBase(); exit;
}

// -----------------------------------------------------------------------------------------------------------------
// RETOUR FORMULAIRE CREATION/MODIFICATION ---------------------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("retour_form",$_POST)) {
	$tmpType = new Type($_POST["id_type"]);
	if(empty($tmpType->id_type)) {
		$tmpType->id_categorie = $id_categorie;
	}
	$tmpType->nom = stripslashes(ucfirst(strtolower($_POST["nom_type"])));
	$tmpType->ecriture();
}

// -----------------------------------------------------------------------------------------------------------------
// ---------------------- SUPPRESSION ------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("supprimer",$_GET)) {
	$tmpType = new Type($_GET["supprimer"]);
	$tmpType->suppression();
}




// -----------------------------------------------------------------------------------------------------------------
// -----------------------------------------------------------------------------------------------------------------
$idTypes = Type::listeIdTypes($id_categorie);



// Gestion categorie : affichage du formulaire.
Categorie::formulaireSelection();

// -----------------------------------------------------------------------------------------------------------------
// ---------------------- FORMULAIRE DE CREATION-MODIFICATION ------------------------------
// -----------------------------------------------------------------------------------------------------------------
if(array_key_exists("nouveau",$_GET) || array_key_exists("modifier",$_GET)) {
	
	$tmpIdType = null;
	if(array_key_exists("modifier",$_GET)) {
		$tmpIdType = $_GET["modifier"];
	}
	$tmpType = new Type($tmpIdType);
	?>
	<form name="form_type" action="<?php echo $phpSelf; ?>" method="POST">
	<input type="hidden" name="retour_form" value="1">
	<input type="hidden" name="id_type" value="<?php echo $tmpIdType; ?>">
	Nom du type : <input type="text" name="nom_type" size=30 value="<?php echo (empty($tmpIdType)?"":$tmpType->nom); ?>">
	<input type="submit" value="enregistrer">
	<input type="button" value="abandonner" onclick="document.location.href='<?php echo $phpSelf; ?>';">
	</form>
	<script language="javascript" type="text/javascript">
		setTimeout("document.form_type.nom_type.focus()",1);
	</script>
	<hr>
	<?php
} else {
	echo "<input type='button' value='Nouveau type' "
				."onclick=\"document.location.href='".$phpSelf."?nouveau=1';\">";
}
?><br>
<br>
<table class="pliste">
	<tr><th>Type rpertori</th><th>Biens</th><th></th></tr>
	<?php
	if(empty($idTypes)) {
		echo "<tr><td colspan=3>Aucun type</td></tr>";
	} else {
		$i = 0;
		foreach($idTypes as $id_type) {
			$tempType = new Type($id_type);
			$nbBiensRattaches = count($tempType->listeBiensRattaches());
			echo '<tr class="gris'.($i&1).'1"><td><font size="2"><b>'
			.'<a href="'.$phpSelf.'?modifier='.$id_type.'">'.$tempType->nom.'</a></b></font>&#160;</td>'
			.'<td>'.$nbBiensRattaches.' bien'.($nbBiensRattaches==1?'':'s').'</td>'
			.'<td><input type="button" value="Supprimer" '
			.'onclick="if (window.confirm(\'Confirmez-vous la suppression du type '
			.str_replace("'","\'",htmlspecialchars($tempType->nom))
			.' ?\')) {document.location.href=\''.$phpSelf.'?supprimer='.$id_type.'\';}">'
			.'</td></tr>';
			$i++;
		}
	}
	?>
</table>
</div>
<?php
fin_html();
deconnexionBase();
?>