<?php
# Copyright (c) 2008 MARIE Olivier. 
# Ce fichier fait partie du logiciel OMega-Annonces.
# OMega-Annonces est un logiciel libre ; vous pouvez le redistribuer et/ou le 
# modifier selon les termes de la GNU General Public License (Licence Publique 
# Gnrale GNU) telle qu'elle a t publie par la Free Software Foundation ; 
# soit la version 2 de la licence, soit (comme vous le souhaitez) toute version 
# ultrieure.
# OMega-Annonces est distribu dans l'espoir qu'il sera utile, mais SANS LA 
# MOINDRE GARANTIE ; pas mme la garantie implicite de COMMERCIABILITE ou 
# d'ADEQUATION A UN BUT PARTICULIER.
# Voir la GNU General Public License pour plus de dtails.
# Vous devriez avoir reu une copie de la GNU General Public License en mme 
# temps que ce programme; sinon, merci d'crire  la Free Software Foundation, 
# Inc, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

class Bien {
	var $id_bien;
	var $id_categorie;
	var $id_ville = null;
	var $adresse = null;
	var $accroche = null;
	var $description = null;
	var $date_creation = null;
	var $visible=1;
	var $archive=0;
	var $best=0;
	var $r_type_bien = array();
	var $r_attribut = array();

	function Bien($id_bien=null) {
		if(!empty($id_bien)) {
			$this->lecture($id_bien);
		}
	}

	function changeArchivage() {
		$this->archive = ($this->archive==1?0:1);
		$sql = "update oma_bien set archive=".$this->archive." WHERE id_bien=".$this->id_bien;
        $result = requeteSQL($sql);
	}

	function ecriture() {
		if(empty($this->id_bien)) {
			$sql = "INSERT INTO oma_bien(id_categorie, id_ville, adresse, accroche, description, date_creation, "
			."visible, archive, best) VALUES ("
			.$this->id_categorie.","
			.(is_null($this->id_ville)?"NULL,":$this->id_ville.",")
			.(is_null($this->adresse)?"NULL,":"'".str_replace("'","''",$this->adresse)."',")
			.(is_null($this->accroche)?"NULL,":"'".str_replace("'","''",$this->accroche)."',")
			.(is_null($this->description)?"NULL,":"'".str_replace("'","''",$this->description)."',")
			."'".date("Y-m-d")."',"
			.$this->visible.",".$this->archive.",".$this->best.")";
		    $this->id_bien = requeteSQL($sql);
		} else {
			$sql = "UPDATE oma_bien SET "
			." id_categorie=".$this->id_categorie.","
			." id_ville=".(is_null($this->id_ville)?"NULL,":$this->id_ville.",")
			." adresse=".(is_null($this->adresse)?"NULL,":"'".str_replace("'","''",$this->adresse)."',")
			." accroche=".(is_null($this->accroche)?"NULL,":"'".str_replace("'","''",$this->accroche)."',")
			." description=".(is_null($this->description)?"NULL,":"'".str_replace("'","''",$this->description)."',")
			." visible=".$this->visible.","
			." best=".$this->best.","
			." archive=".$this->archive." WHERE id_bien=".$this->id_bien;
	        requeteSQL($sql);

			$sql = "DELETE FROM oma_r_type_bien WHERE id_bien=".$this->id_bien;
	        requeteSQL($sql);
	        
			$sql = "DELETE FROM oma_r_attribut WHERE id_bien=".$this->id_bien;
	        requeteSQL($sql);
		}
		// --------- insertion des attributs
		if(!empty($this->r_type_bien)) {
			foreach($this->r_type_bien as $item) {
				$sql = "INSERT INTO oma_r_type_bien(id_bien, id_type) values (";
				$sql.= $this->id_bien.",".$item.")";
				requeteSQL($sql);
			}
		}
		if(!empty($this->r_attribut)) {
			foreach($this->r_attribut as $k=>$v) {
			    //if(empty($v)) continue;
			    
    		    // recherche du format de l'attribut;
    		    $format = Attribut::formatAttribut($k);
	
				$sql = "INSERT INTO oma_r_attribut(id_bien, id_attribut, valeur) values (";
				$sql.= $this->id_bien.",".$k.",".$v.")";

				requeteSQL($sql);
			}
		}
	}

	function lecture($id_bien) {
		// lecture des attributs du bien --------------------------------------
		$sql = "SELECT * FROM oma_bien WHERE id_bien=".$id_bien;
		$result = requeteSQL($sql);

		$tabRetour = array();
		if ($line = mysql_fetch_assoc($result)) {
			$this->id_bien 		= intval($line["id_bien"]);
			$this->id_categorie = intval($line["id_categorie"]);
			$this->id_ville 	= intval($line["id_ville"]);
			$this->adresse 		= $line["adresse"];
			$this->accroche 	= $line["accroche"];
			$this->description 	= $line["description"];
			$this->visible 		= intval($line["visible"]);
			$this->archive 		= intval($line["archive"]);
			$this->best  		= intval($line["best"]);
		}
		mysql_free_result($result);

		// lecture des types --------------------------------------------------
		$sql = "SELECT id_type FROM oma_r_type_bien WHERE id_bien=".$id_bien;
		$result = requeteSQL($sql);

		$tabRetour = array();
		while ($line = mysql_fetch_array($result)) {
			$this->r_type_bien[] = intval($line[0]);
		}
		mysql_free_result($result);

		// lecture des attributs -----------------------------
		$sql = "SELECT id_attribut, valeur FROM oma_r_attribut WHERE id_bien=".$id_bien;
		$result = requeteSQL($sql);

		$tabRetour = array();
		while ($line = mysql_fetch_array($result)) {
			$this->r_attribut[intval($line[0])] = intval($line[1]);
		}
		mysql_free_result($result);
	}
	
	function suppression() {
		$sql = "DELETE FROM oma_bien WHERE id_bien=".$this->id_bien;
		requeteSQL($sql);

		$sql = "DELETE FROM oma_r_attribut WHERE id_bien=".$this->id_bien;
		requeteSQL($sql);

		$sql = "DELETE FROM oma_r_type_bien WHERE id_bien=".$this->id_bien;
		requeteSQL($sql);

		$listeNumPhotos = Photo::listeNumeros($this->id_bien);
		if(!empty($listeNumPhotos)) {
			foreach($listeNumPhotos as $numero) {
				$tmpPhoto = new Photo($this->id_bien,$numero);
				$tmpPhoto->suppression();
			}
		}
	}

	function listeIdBiens($id_categorie=null, $visible=null, $archive=null, $best=null) {
		$sql = "SELECT id_bien FROM oma_bien WHERE 1";
		if(!is_null($id_categorie)) 	$sql .= " AND id_categorie=".$id_categorie;
		if(!is_null($visible)) 			$sql .= " AND visible=".$visible;
		if(!is_null($archive)) 			$sql .= " AND archive=".$archive;
		if(!is_null($best)) 			$sql .= " AND best=".$best;

		$result = requeteSQL($sql);

		$tabRetour = array();
		while ($line = mysql_fetch_array($result)) {
			$tabRetour[] = intval($line[0]);
		}
		mysql_free_result($result);
		return $tabRetour;	
	}
	
	function nombreBiens($id_categorie=null, $visible=null, $archive=null) {
		$sql = "SELECT count(id_bien) FROM oma_bien WHERE 1";
		if(!is_null($id_categorie)) 	$sql .= " AND id_categorie=".$id_categorie;
		if(!is_null($visible)) 			$sql .= " AND visible=".$visible;
		if(!is_null($archive)) 			$sql .= " AND archive=".$archive;

		$result = requeteSQL($sql);

		$line = mysql_fetch_array($result);
		$retour = intval($line[0]);
		mysql_free_result($result);
		return $retour;	
	}
}
?>