<?php
# Copyright (c) 2006 MARIE Olivier. 
# Ce fichier fait partie de OMega-Annonces.
# OMega-Annonces est un logiciel libre; vous pouvez le redistribuer et/ou le 
# modifier selon les termes de la GNU General Public License (Licence Publique 
# Gnrale GNU) telle qu'elle a t publie par la Free Software Foundation ; 
# soit la version 2 de la licence, soit (comme vous le souhaitez) toute version 
# ultrieure.
# OMega-Annonces est distribu dans l'espoir qu'il sera utile, mais SANS LA 
# MOINDRE GARANTIE ; pas mme la garantie implicite de COMMERCIABILITE ou 
# d'ADEQUATION A UN BUT PARTICULIER.
# Voir la GNU General Public License pour plus de dtails.
# Vous devriez avoir reu une copie de la GNU General Public License en mme 
# temps que ce programme; sinon, merci d'crire  la Free Software Foundation, 
# Inc, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

class Categorie {
	var $id_categorie;
	var $nom;
	
	function Categorie($id_categorie=null) {
		if(!empty($id_categorie)) {
			$this->lecture($id_categorie);
		}
	}

	function retourFormulaireSelection() {
		global $listeIdNomCategories, $id_categorie;
		$listeIdNomCategories = Categorie::listeIdNomCategories();
		if(array_key_exists("formSelectCategorie",$_POST)) {
			$currentCategorie = $_POST["formSelectCategorie"];
			$_SESSION["OMA_administrateur"]->id_categorie = $currentCategorie;
			$_SESSION["OMA_administrateur"]->ecriture();
		}
		else {
			if(!array_key_exists("id_categorie",$_SESSION["OMA_administrateur"])
			|| !array_key_exists($_SESSION["OMA_administrateur"]->id_categorie,$listeIdNomCategories)) {
				$_SESSION["OMA_administrateur"]->id_categorie = key($listeIdNomCategories);
			}
		}
		$id_categorie = $_SESSION["OMA_administrateur"]->id_categorie;
	}

	function formulaireSelection() {
		global $listeIdNomCategories;
		echo '<form name="formulaireCategorie" action="'.$_SERVER["PHP_SELF"].'" method="POST">'
			.'<h3>Categorie : <select name=formSelectCategorie onchange="document.formulaireCategorie.submit();">';
		foreach($listeIdNomCategories as $k=>$v) {
			echo '<option value='.$k.($_SESSION["OMA_administrateur"]->id_categorie==$k?' selected':'').'>'.$v.'</option>';
		}
		echo '</select></h3></form>';
	}

		
	function ecriture() {
		if(empty($this->id_categorie)) {
			$sql = "INSERT INTO oma_categorie(nom) VALUES ('".str_replace("'","''",$this->nom)."')";
			$this->id_categorie = requeteSQL($sql);
		} else {
			$sql = "UPDATE oma_categorie SET "
			."nom='".str_replace("'","''",$this->nom)."' "
			."WHERE id_categorie=".$this->id_categorie;
			requeteSQL($sql);
		}
	}

	function suppression() {
		if(empty($this->id_categorie)) exit("erreur suppression id_categorie non dfini");
		
		$listeIdBiens = $this->listeIdBiensRattaches();
		foreach($listeIdBiens as $id_bien) {
			$tmpBien = new Bien($id_bien);
			$tmpBien->suppression();
		}
		$listeIdTypes = Type::listeIdTypes($this->id_categorie);
		foreach($listeIdTypes as $id_type) {
			$tmpType = new Type($id_type);
			$tmpType->suppression();
		}
		$listeIdAttributs = $this->listeIdAttributsRattaches();
		foreach($listeIdAttributs as $id_attribut) {
			$tmpAttribut = new Attribut($id_attribut);
			$tmpAttribut->suppression();
		}
		$sql = "DELETE FROM oma_categorie WHERE id_categorie=".$this->id_categorie;
		$result = requeteSQL($sql);
	}

	function lecture($id_categorie) {
		$sql = "SELECT * FROM oma_categorie WHERE id_categorie=".$id_categorie;
		$result = requeteSQL($sql);

		$tabRetour = array();
		if ($line = mysql_fetch_assoc($result)) {
			$this->id_categorie = $line["id_categorie"];
			$this->nom = $line["nom"];
		}
		mysql_free_result($result);
	}

	function listeIdAttributsRattaches() {
        $sql = "SELECT id_attribut FROM oma_attribut WHERE id_categorie=".$this->id_categorie." ORDER BY nom";
		$result = requeteSQL($sql);

        $tabRetour = array();
        while ($line = mysql_fetch_array($result)) {
        	$tabRetour[] = $line[0];
        }
        mysql_free_result($result);
		return $tabRetour;
	}


	function listeIdCategories() {
        $sql = "SELECT id_categorie FROM oma_categorie ORDER BY id_categorie";
		$result = requeteSQL($sql);

        $tabRetour = array();
        while ($line = mysql_fetch_array($result)) {
        	$tabRetour[] = $line[0];
        }
        mysql_free_result($result);
		return $tabRetour;
	}

	function listeIdNomCategories() {
        $sql = "SELECT id_categorie, nom FROM oma_categorie ORDER BY id_categorie";
		$result = requeteSQL($sql);

        $tabRetour = array();
        while ($line = mysql_fetch_array($result)) {
        	$tabRetour[$line[0]] = $line[1];
        }
        mysql_free_result($result);
		return $tabRetour;
	}

	function listeIdBiensRattaches($visible=null, $archive=null) {
		$sql = "SELECT id_bien FROM oma_bien WHERE id_categorie=".$this->id_categorie;
		if(!is_null($visible))	$sql .= " AND visible=".$visible;
		if(!is_null($archive)) 	$sql .= " AND archive=".$archive;

		$result = requeteSQL($sql);

        $tabRetour = array();
        while ($line = mysql_fetch_array($result)) {
        	$tabRetour[] = $line[0];
        }
		mysql_free_result($result);
		return $tabRetour;	
	}
} 
?>