<?php
class Ville {
	var $id_ville;
	var $nom = "";
	var $code_postal = "";
	var $r_attr_ville = array();
	var $toutes_villes_proches = null;
	
	
	function listeAttributs() {
        $sql = "SELECT id_attr_ville, nom, nom_court FROM oma_attr_ville ORDER BY nom";
		$result = requeteSQL($sql);

        $tabRetour = array();
        while ($line = mysql_fetch_array($result)) {
        	$tabRetour[$line[0]] = array($line[1],$line[2]);
        }
        mysql_free_result($result);
		return $tabRetour;
    }
	
	function Ville($id_ville=null) {
		if(!empty($id_ville)) {
			$this->chargement($id_ville);
			$this->chargementToutesVillesProches();
		}
	}

	function ecriture() {
		if(empty($this->id_ville)) {
			// ------------- CREATION ---------------------------------
			$sql = "INSERT INTO oma_ville(nom, code_postal) VALUES ('".str_replace("'","''",$this->nom)."',"
			.(empty($this->code_postal)?"NULL":"'".$this->code_postal."'").")";
			$this->id_ville = requeteSQL($sql);
		} else {
			// ------------- MODIFICATION -----------------------------
			$sql = "UPDATE oma_ville SET "
			."code_postal='".$this->code_postal."',";
			$sql.="nom='".str_replace("'","''",$this->nom)."'"
    		." WHERE id_ville=".$this->id_ville;
			requeteSQL($sql);

			$sql = "DELETE FROM oma_r_attr_ville WHERE id_ville=".$this->id_ville;
			requeteSQL($sql);
			$sql = "DELETE FROM oma_ville_proche_de WHERE id_ville1=".$this->id_ville." OR id_ville2=".$this->id_ville;
			requeteSQL($sql);
		}
		
		// --------- insertion des attributs
		if(!empty($this->r_attr_ville)) {
			foreach($this->r_attr_ville as $id_attr_ville) {
				$sql = "INSERT INTO oma_r_attr_ville(id_ville, id_attr_ville) values (";
				$sql.= $this->id_ville.",".$id_attr_ville.")";
				requeteSQL($sql);
			}
		}
		// --------- insertion des distances aux villes
		if(!empty($this->toutes_villes_proches)) {
			foreach($this->toutes_villes_proches as $k=>$v) {
				$sql = "INSERT INTO oma_ville_proche_de(id_ville1, id_ville2, distance) values (";
				$sql.= $this->id_ville.",".$k.",".$v.")";
				requeteSQL($sql);
			}
		}
	}

	function suppression() {
		$nbBiensRattaches = count($this->listeBiensRattaches(null, 0));
		if($nbBiensRattaches>0) {
            ecrireLog("ERREUR : suppression ville ".$this->id_ville." ".$nbBiensRattaches." biens rattaches");
            exit("Erreur base de donnes");
	    }
	    
		$sql = "DELETE FROM oma_ville WHERE id_ville=".$this->id_ville;
		$result = requeteSQL($sql);

		$sql = "DELETE FROM oma_r_attr_ville WHERE id_ville=".$this->id_ville;
		$result = requeteSQL($sql);

		$sql = "DELETE FROM oma_ville_proche_de WHERE id_ville1=".$this->id_ville." OR id_ville2=".$this->id_ville;
		$result = requeteSQL($sql);

		$sql = "UPDATE oma_bien SET id_ville=0 WHERE id_ville=".$this->id_ville;
		$result = requeteSQL($sql);
	}

	function chargement($id_ville) {
		$sql = "SELECT nom, code_postal FROM oma_ville WHERE id_ville=".$id_ville;
		$result = requeteSQL($sql);

		$tabRetour = array();
		if ($line = mysql_fetch_assoc($result)) {
			$this->code_postal = $line["code_postal"];
			$this->nom = $line["nom"];
			$this->id_ville = $id_ville;
		} else {
			ecrireLog($sql." ".mysql_error());
			exit("Ville non rpertorie");
		}
		mysql_free_result($result);
		// ------------------ ATTRIBUTS -----------------------------
		$sql = "SELECT id_attr_ville FROM oma_r_attr_ville WHERE id_ville=".$id_ville;
		$result = requeteSQL($sql);

		$tabRetour = array();
		while ($line = mysql_fetch_array($result)) {
			$this->r_attr_ville[] = intval($line[0]);
		}
		mysql_free_result($result);
	}


	function listeBiensRattaches($visible=null, $archive=null) {
        $sql = "SELECT id_bien FROM oma_bien WHERE id_ville=".$this->id_ville;
		if(!is_null($visible))	$sql .= " AND visible=".$visible;
		if(!is_null($archive)) 	$sql .= " AND archive=".$archive;

		$result = requeteSQL($sql);

        $tabRetour = array();
        while ($line = mysql_fetch_array($result)) {
        	$tabRetour[] = $line[0];
        }
        mysql_free_result($result);
		return $tabRetour;
	}
	
	function listeIdVilles() {
        $sql = "SELECT id_ville FROM oma_ville ORDER BY nom";
		$result = requeteSQL($sql);

        $tabRetour = array();
        while ($line = mysql_fetch_array($result)) {
        	$tabRetour[] = $line[0];
        }
        mysql_free_result($result);
		return $tabRetour;
	}

	function listeIdVillesProches($distance) {
        $sql = "SELECT DISTINCT id_ville FROM oma_ville, oma_ville_proche_de WHERE "
        ."((id_ville=id_ville1 AND id_ville2=".$this->id_ville.") OR "
        ."(id_ville=id_ville2 AND id_ville1=".$this->id_ville."))"
        ." AND distance <= ".$distance." ORDER BY nom";
		$result = requeteSQL($sql);

        $tabRetour = array();
        while ($line = mysql_fetch_array($result)) {
        	$tabRetour[] = $line[0];
        }
        mysql_free_result($result);
		return $tabRetour;
	}

	function chargementToutesVillesProches($distance=null) {
        $this->toutes_villes_proches = array();

		$sql = "SELECT id_ville2, distance FROM oma_ville_proche_de WHERE id_ville1=".$this->id_ville
		.(is_null($distance)?"":" AND distance<=".$distance)." ORDER BY distance";
		$result = requeteSQL($sql);
        while ($line = mysql_fetch_array($result)) {
        	$this->toutes_villes_proches[$line[0]] = $line[1];
        }
        mysql_free_result($result);
		$sql = "SELECT id_ville1, distance FROM oma_ville_proche_de WHERE id_ville2=".$this->id_ville
		.(is_null($distance)?"":" AND distance<=".$distance)." ORDER BY distance";
		$result = requeteSQL($sql);
        while ($line = mysql_fetch_array($result)) {
        	$this->toutes_villes_proches[$line[0]] = $line[1];
        }
        mysql_free_result($result);
	}

	function listeIdNomVilles() {
        $sql = "SELECT id_ville, nom FROM oma_ville ORDER BY nom";
		$result = requeteSQL($sql);

        $tabRetour = array();
        while ($line = mysql_fetch_array($result)) {
        	$tabRetour[$line[0]] = $line[1];
        }
        mysql_free_result($result);
		return $tabRetour;
	}
} 
?>